(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     95307,       3415]*)
(*NotebookOutlinePosition[    100543,       3584]*)
(*  CellTagsIndexPosition[     99817,       3555]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (commutativity of addition):  + = )", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (commutativity of addition):  + = "],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (addition): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}], "=", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (addition): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (addition): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (addition): 2"]
}, Open  ]],

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Alternative proof 1: failed", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (commutativity of addition):  + = ",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (commutativity of addition):  + = "]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "fails.",
  " (The prover \"Simplifier\" was unable to transform the proof situation.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: failed", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (commutativity of addition):  + = ",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (commutativity of addition):  + = "]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["m",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Induction Base: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Alternative proof 1: proved", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We take in ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " all variables arbitrary but fixed:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", "0"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[CellGroupData[{

Cell["and simplify it.", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", "0"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      StyleBox[\(n\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"]
}, Open  ]],

Cell[TextData[{
  "We",
  " ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["n",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Induction Base: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(0 + 0 = 0\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " works."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0 + 0\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      \(0\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        StyleBox[\(n\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          SuperscriptBox[
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        SuperscriptBox[
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[CellGroupData[{

Cell[TextData[{
  "A proof by simplification of ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " works."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        SuperscriptBox[
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{"0", "+", 
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        StyleBox[\(n\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        StyleBox[\(n\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: pending", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["\<\
As there are several methods which can be applied, we have different choices \
to proceed with the proof.\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Alternative proof 1: failed", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We take in ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " all variables arbitrary but fixed:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[CellGroupData[{

Cell["and simplify it.", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", 
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_3\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+", 
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            StyleBox[\(n\_3\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+", 
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"]
}, Open  ]],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["n",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Induction Base: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", "0"}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[CellGroupData[{

Cell[TextData[{
  "We simplify ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", "0"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        StyleBox[\(m\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{"0", "+", 
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"]
}, Open  ]],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " fails.",
  " (No applicable inference rule was found.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_4\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[CellGroupData[{

Cell[TextData[{
  "We simplify ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", 
        SuperscriptBox[
          StyleBox[\(n\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "+", 
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          SuperscriptBox[
            RowBox[{"(", 
              RowBox[{
                StyleBox[\(n\_4\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+", 
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], ")"}], "+"], ")"}], "+"]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{
            SuperscriptBox[
              StyleBox[\(n\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+"], "+", 
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_4\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"], ")"}], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_4\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"]
}, Open  ]],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " fails.",
  " (No applicable inference rule was found.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Alternative proof 2: failed", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "We",
  " try to ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["n",
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Induction Base: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", "0"}], "=", 
        RowBox[{"0", "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[CellGroupData[{

Cell[TextData[{
  "We simplify ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell["Simplification of the lhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "+", "0"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        StyleBox[\(m\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplification of the rhs term:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      RowBox[{"0", "+", 
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " =",
  Cell["", "Blank"],
  "by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (addition): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (addition): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[BoxData[
      SuperscriptBox[
        RowBox[{"(", 
          RowBox[{"0", "+", 
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}], "+"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "\[RightFloor]"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["Hence, it is sufficient to prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"]
}, Open  ]],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " fails.",
  " (No applicable inference rule was found.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Induction Step:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  "Induction Conclusion:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Proposition["\<commutativity of addition\>"], \n\t
      using \[Rule] \[LeftAngleBracket]Definition["\<addition\>"]\
\[RightAngleBracket], \n\tby \[Rule] NNEqIndProver, \n\t
      ProverOptions \[Rule] {TermOrder \[Rule] LeftToRight}, 
      TransformerOptions \[Rule] {branches \[Rule] {Proved, Pending, Failed, 
              Disproved}}]; \)], "Input",
  CellTags->"Proposition (commutativity of addition)"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2001/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:57:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/03/23 08:52:57 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/03/14 14:37:23 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.51 ",
  ", ",
  "Date: 2001/01/15 16:00:55 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2000/09/19 14:31:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.63 ",
  ", ",
  "Date: 2001/08/30 14:05:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.84 ",
  ", ",
  "Date: 2001/08/30 13:59:45 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/06/18 13:12:07 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 2001/03/29 08:17:14 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.55 ",
  ", ",
  "Date: 2001/04/17 06:40:36 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 1999/06/23 09:15:51 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.19 ",
  ", ",
  "Date: 1999/06/18 09:25:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2000/08/09 13:56:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2001/05/10 07:09:50 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/05/10 07:09:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.40 ",
  ", ",
  "Date: 2001/02/08 09:04:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2001/05/09 13:19:00 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.47 ",
  ", ",
  "Date: 2001/01/04 13:07:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/16 13:23:30 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/05/24 13:34:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.43 ",
  ", ",
  "Date: 2001/04/02 14:54:33 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/04/02 14:53:25 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/08/17 08:53:13 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:29:04 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/03/23 09:27:27 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Induction`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2001/05/03 13:09:05 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/04/10 07:33:50 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2000/02/28 14:02:34 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", "0"}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_4\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              StyleBox[\(n\_4\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(n\_4\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_4\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          RowBox[{"(", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox[\(n\_4\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox[\(m\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"], ")"}], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{
              SuperscriptBox[
                StyleBox[\(n\_4\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", "0"}], "=", 
        RowBox[{"0", "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_5\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        RowBox[{
          SuperscriptBox[
            StyleBox[\(n\_5\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        SuperscriptBox[
          StyleBox[\(m\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"], "=", 
        SuperscriptBox[
          RowBox[{"(", 
            RowBox[{"0", "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], ")"}], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(m\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox[\(m\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(0 + 0 = 0\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        StyleBox[\(n\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "+", 
          SuperscriptBox[
            StyleBox[\(n\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}], "=", 
        SuperscriptBox[
          StyleBox[\(n\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"], "+", 
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "=", 
        RowBox[{
          StyleBox[\(n\_3\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "+", 
          SuperscriptBox[
            StyleBox[\(m\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "+"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (addition): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", "0"}], "=", 
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (addition): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (addition): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              SuperscriptBox[
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "+"]}], "=", 
            SuperscriptBox[
              RowBox[{"(", 
                RowBox[{
                  StyleBox["m",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "+", 
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "+"]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (addition): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (commutativity of addition):  + = )", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["m",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "=", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox["m",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (commutativity of addition):  + = "]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (commutativity of addition):  + = "->{
    Cell[1823, 55, 1433, 41, 52, "Conclusion",
      CellTags->"Proposition (commutativity of addition):  + = "],
    Cell[93789, 3368, 1490, 43, 70, "Text",
      CellTags->"Proposition (commutativity of addition):  + = "]},
  "Definition (addition): 1"->{
    Cell[3393, 103, 952, 28, 50, "Assumption",
      CellTags->"Definition (addition): 1"],
    Cell[91179, 3288, 1009, 30, 70, "Text",
      CellTags->"Definition (addition): 1"]},
  "Definition (addition): 2"->{
    Cell[4348, 133, 1543, 45, 52, "Assumption",
      CellTags->"Definition (addition): 2"],
    Cell[92191, 3320, 1595, 46, 70, "Text",
      CellTags->"Definition (addition): 2"]},
  "1"->{
    Cell[7846, 242, 961, 29, 50, "Conclusion",
      CellTags->"1"],
    Cell[72296, 2675, 1004, 31, 70, "Text",
      CellTags->"1"]},
  "4"->{
    Cell[9573, 298, 686, 21, 44, "Conclusion",
      CellTags->"4"],
    Cell[86532, 3131, 730, 23, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[12323, 389, 920, 28, 50, "Conclusion",
      CellTags->"5"],
    Cell[87265, 3156, 963, 30, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[14038, 449, 375, 11, 44, "Conclusion",
      CellTags->"6"],
    Cell[88231, 3188, 418, 13, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[16588, 540, 649, 20, 44, "Assumption",
      CellTags->"7"],
    Cell[88652, 3203, 693, 22, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[17396, 568, 728, 22, 44, "Conclusion",
      CellTags->"8"],
    Cell[89348, 3227, 771, 24, 70, "Text",
      CellTags->"8"]},
  "2"->{
    Cell[22093, 732, 1236, 37, 50, "Assumption",
      CellTags->"2"],
    Cell[83878, 3047, 1280, 39, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[23488, 777, 1325, 39, 50, "Conclusion",
      CellTags->"3"],
    Cell[85161, 3088, 1368, 41, 70, "Text",
      CellTags->"3"]},
  "9"->{
    Cell[25579, 843, 1010, 31, 44, "Conclusion",
      CellTags->"9"],
    Cell[90122, 3253, 1054, 33, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[29199, 961, 1393, 41, 50, "Conclusion",
      CellTags->"10"],
    Cell[73303, 2708, 1431, 42, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[31396, 1034, 810, 24, 43, "Conclusion",
      CellTags->"11"],
    Cell[74737, 2752, 853, 26, 70, "Text",
      CellTags->"11"]},
  "14"->{
    Cell[34684, 1143, 771, 23, 43, "Conclusion",
      CellTags->"14"],
    Cell[77909, 2854, 814, 25, 70, "Text",
      CellTags->"14"]},
  "12"->{
    Cell[36203, 1196, 1069, 32, 44, "Assumption",
      CellTags->"12"],
    Cell[75593, 2780, 1113, 34, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[37431, 1236, 1154, 34, 44, "Conclusion",
      CellTags->"13"],
    Cell[76709, 2816, 1197, 36, 70, "Text",
      CellTags->"13"]},
  "15"->{
    Cell[42611, 1404, 1276, 36, 44, "Conclusion",
      CellTags->"15"],
    Cell[78726, 2881, 1319, 38, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[45290, 1494, 769, 23, 44, "Conclusion",
      CellTags->"16"],
    Cell[80048, 2921, 812, 25, 70, "Text",
      CellTags->"16"]},
  "19"->{
    Cell[49282, 1626, 771, 23, 44, "Conclusion",
      CellTags->"19"],
    Cell[83061, 3020, 814, 25, 70, "Text",
      CellTags->"19"]},
  "17"->{
    Cell[50801, 1679, 1012, 31, 44, "Assumption",
      CellTags->"17"],
    Cell[80863, 2948, 1056, 33, 70, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[51972, 1718, 1093, 33, 44, "Conclusion",
      CellTags->"18"],
    Cell[81922, 2983, 1136, 35, 70, "Text",
      CellTags->"18"]},
  "AdditionalInfo"->{
    Cell[53778, 1781, 88, 1, 72, "Section",
      CellTags->"AdditionalInfo"]},
  "Proposition (commutativity of addition)"->{
    Cell[53930, 1788, 437, 7, 70, "Input",
      CellTags->"Proposition (commutativity of addition)"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (commutativity of addition):  + = ", 96073, 3435},
  {"Definition (addition): 1", 96331, 3440},
  {"Definition (addition): 2", 96545, 3445},
  {"1", 96737, 3450},
  {"4", 96882, 3455},
  {"5", 97026, 3460},
  {"6", 97171, 3465},
  {"7", 97316, 3470},
  {"8", 97461, 3475},
  {"2", 97606, 3480},
  {"3", 97753, 3485},
  {"9", 97900, 3490},
  {"10", 98048, 3495},
  {"11", 98198, 3500},
  {"14", 98347, 3505},
  {"12", 98496, 3510},
  {"13", 98647, 3515},
  {"15", 98798, 3520},
  {"16", 98949, 3525},
  {"19", 99098, 3530},
  {"17", 99247, 3535},
  {"18", 99398, 3540},
  {"AdditionalInfo", 99561, 3545},
  {"Proposition (commutativity of addition)", 99688, 3548}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 45, "ProofText"],
Cell[1823, 55, 1433, 41, 52, "Conclusion",
  CellTags->"Proposition (commutativity of addition):  + = "],

Cell[CellGroupData[{
Cell[3281, 100, 109, 1, 45, "ProofText"],
Cell[3393, 103, 952, 28, 50, "Assumption",
  CellTags->"Definition (addition): 1"],
Cell[4348, 133, 1543, 45, 52, "Assumption",
  CellTags->"Definition (addition): 2"]
}, Open  ]],
Cell[5906, 181, 207, 4, 45, "ProofText"],

Cell[CellGroupData[{
Cell[6138, 189, 121, 1, 45, "ProofText"],
Cell[6262, 192, 546, 13, 45, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6845, 210, 121, 1, 45, "ProofText"],
Cell[6969, 213, 739, 22, 45, "ProofText"],

Cell[CellGroupData[{
Cell[7733, 239, 110, 1, 45, "ProofText"],
Cell[7846, 242, 961, 29, 50, "Conclusion",
  CellTags->"1"],
Cell[8810, 273, 207, 4, 45, "ProofText"],

Cell[CellGroupData[{
Cell[9042, 281, 121, 1, 45, "ProofText"],
Cell[9166, 284, 404, 12, 45, "ProofText"],
Cell[9573, 298, 686, 21, 44, "Conclusion",
  CellTags->"4"],

Cell[CellGroupData[{
Cell[10284, 323, 110, 1, 44, "ProofText"],

Cell[CellGroupData[{
Cell[10419, 328, 125, 1, 44, "ProofText"],
Cell[10547, 331, 397, 11, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10981, 347, 125, 1, 44, "ProofText"],
Cell[11109, 350, 704, 21, 44, "ProofText"],
Cell[11816, 373, 362, 10, 44, "ProofText"]
}, Open  ]],
Cell[12193, 386, 127, 1, 44, "ProofText"],
Cell[12323, 389, 920, 28, 50, "Conclusion",
  CellTags->"5"]
}, Open  ]],
Cell[13258, 420, 642, 22, 44, "ProofText"],

Cell[CellGroupData[{
Cell[13925, 446, 110, 1, 44, "ProofText"],
Cell[14038, 449, 375, 11, 44, "Conclusion",
  CellTags->"6"],

Cell[CellGroupData[{
Cell[14438, 464, 394, 12, 44, "ProofText"],

Cell[CellGroupData[{
Cell[14857, 480, 125, 1, 44, "ProofText"],
Cell[14985, 483, 576, 17, 44, "ProofText"],
Cell[15564, 502, 265, 7, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15866, 514, 125, 1, 44, "ProofText"],
Cell[15994, 517, 265, 7, 44, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[16320, 531, 109, 1, 44, "ProofText"],
Cell[16432, 534, 153, 4, 44, "ProofText"],
Cell[16588, 540, 649, 20, 44, "Assumption",
  CellTags->"7"],
Cell[17240, 562, 153, 4, 44, "ProofText"],
Cell[17396, 568, 728, 22, 44, "Conclusion",
  CellTags->"8"],

Cell[CellGroupData[{
Cell[18149, 594, 394, 12, 44, "ProofText"],

Cell[CellGroupData[{
Cell[18568, 610, 125, 1, 44, "ProofText"],
Cell[18696, 613, 742, 22, 44, "ProofText"],
Cell[19441, 637, 735, 23, 44, "ProofText"],
Cell[20179, 662, 398, 11, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20614, 678, 125, 1, 44, "ProofText"],
Cell[20742, 681, 398, 11, 44, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21213, 700, 122, 1, 44, "ProofText"],
Cell[21338, 703, 438, 14, 60, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[21825, 723, 109, 1, 44, "ProofText"],
Cell[21937, 726, 153, 4, 44, "ProofText"],
Cell[22093, 732, 1236, 37, 50, "Assumption",
  CellTags->"2"],
Cell[23332, 771, 153, 4, 44, "ProofText"],
Cell[23488, 777, 1325, 39, 50, "Conclusion",
  CellTags->"3"],
Cell[24816, 818, 207, 4, 44, "ProofText"],

Cell[CellGroupData[{
Cell[25048, 826, 121, 1, 44, "ProofText"],
Cell[25172, 829, 404, 12, 44, "ProofText"],
Cell[25579, 843, 1010, 31, 44, "Conclusion",
  CellTags->"9"],

Cell[CellGroupData[{
Cell[26614, 878, 110, 1, 44, "ProofText"],

Cell[CellGroupData[{
Cell[26749, 883, 125, 1, 44, "ProofText"],
Cell[26877, 886, 549, 16, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27463, 907, 125, 1, 44, "ProofText"],
Cell[27591, 910, 856, 26, 44, "ProofText"],
Cell[28450, 938, 604, 17, 44, "ProofText"]
}, Open  ]],
Cell[29069, 958, 127, 1, 44, "ProofText"],
Cell[29199, 961, 1393, 41, 50, "Conclusion",
  CellTags->"10"]
}, Open  ]],
Cell[30607, 1005, 651, 22, 43, "ProofText"],

Cell[CellGroupData[{
Cell[31283, 1031, 110, 1, 43, "ProofText"],
Cell[31396, 1034, 810, 24, 43, "Conclusion",
  CellTags->"11"],

Cell[CellGroupData[{
Cell[32231, 1062, 373, 12, 43, "ProofText"],

Cell[CellGroupData[{
Cell[32629, 1078, 125, 1, 43, "ProofText"],
Cell[32757, 1081, 742, 22, 43, "ProofText"],
Cell[33502, 1105, 398, 11, 43, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33937, 1121, 125, 1, 43, "ProofText"],
Cell[34065, 1124, 474, 13, 43, "ProofText"]
}, Open  ]],
Cell[34554, 1140, 127, 1, 43, "ProofText"],
Cell[34684, 1143, 771, 23, 43, "Conclusion",
  CellTags->"14"]
}, Open  ]],
Cell[35470, 1169, 428, 13, 43, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[35935, 1187, 109, 1, 44, "ProofText"],
Cell[36047, 1190, 153, 4, 44, "ProofText"],
Cell[36203, 1196, 1069, 32, 44, "Assumption",
  CellTags->"12"],
Cell[37275, 1230, 153, 4, 44, "ProofText"],
Cell[37431, 1236, 1154, 34, 44, "Conclusion",
  CellTags->"13"],

Cell[CellGroupData[{
Cell[38610, 1274, 373, 12, 44, "ProofText"],

Cell[CellGroupData[{
Cell[39008, 1290, 125, 1, 44, "ProofText"],
Cell[39136, 1293, 894, 27, 44, "ProofText"],
Cell[40033, 1322, 909, 28, 44, "ProofText"],
Cell[40945, 1352, 710, 20, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41692, 1377, 125, 1, 44, "ProofText"],
Cell[41820, 1380, 646, 18, 44, "ProofText"]
}, Open  ]],
Cell[42481, 1401, 127, 1, 44, "ProofText"],
Cell[42611, 1404, 1276, 36, 44, "Conclusion",
  CellTags->"15"]
}, Open  ]],
Cell[43902, 1443, 428, 13, 44, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[44379, 1462, 121, 1, 44, "ProofText"],
Cell[44503, 1465, 649, 22, 44, "ProofText"],

Cell[CellGroupData[{
Cell[45177, 1491, 110, 1, 44, "ProofText"],
Cell[45290, 1494, 769, 23, 44, "Conclusion",
  CellTags->"16"],

Cell[CellGroupData[{
Cell[46084, 1521, 373, 12, 44, "ProofText"],

Cell[CellGroupData[{
Cell[46482, 1537, 125, 1, 44, "ProofText"],
Cell[46610, 1540, 742, 22, 44, "ProofText"],
Cell[47355, 1564, 398, 11, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47790, 1580, 125, 1, 44, "ProofText"],
Cell[47918, 1583, 742, 22, 44, "ProofText"],
Cell[48663, 1607, 474, 13, 44, "ProofText"]
}, Open  ]],
Cell[49152, 1623, 127, 1, 44, "ProofText"],
Cell[49282, 1626, 771, 23, 44, "Conclusion",
  CellTags->"19"]
}, Open  ]],
Cell[50068, 1652, 428, 13, 44, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50533, 1670, 109, 1, 44, "ProofText"],
Cell[50645, 1673, 153, 4, 44, "ProofText"],
Cell[50801, 1679, 1012, 31, 44, "Assumption",
  CellTags->"17"],
Cell[51816, 1712, 153, 4, 44, "ProofText"],
Cell[51972, 1718, 1093, 33, 44, "Conclusion",
  CellTags->"18"],
Cell[53068, 1753, 440, 14, 60, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[53559, 1773, 182, 3, 34, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[53778, 1781, 88, 1, 72, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[53891, 1786, 36, 0, 70, "Subsection"],
Cell[53930, 1788, 437, 7, 70, "Input",
  CellTags->"Proposition (commutativity of addition)"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54404, 1800, 34, 0, 70, "Subsection"],
Cell[54441, 1802, 120, 7, 70, "Text"],
Cell[54564, 1811, 98, 4, 70, "Text"],
Cell[54665, 1817, 99, 4, 70, "Text"],
Cell[54767, 1823, 195, 9, 70, "Text"],
Cell[54965, 1834, 231, 9, 70, "Text"],
Cell[55199, 1845, 230, 9, 70, "Text"],
Cell[55432, 1856, 214, 9, 70, "Text"],
Cell[55649, 1867, 216, 9, 70, "Text"],
Cell[55868, 1878, 216, 9, 70, "Text"],
Cell[56087, 1889, 230, 9, 70, "Text"],
Cell[56320, 1900, 226, 9, 70, "Text"],
Cell[56549, 1911, 227, 9, 70, "Text"],
Cell[56779, 1922, 221, 9, 70, "Text"],
Cell[57003, 1933, 230, 9, 70, "Text"],
Cell[57236, 1944, 224, 9, 70, "Text"],
Cell[57463, 1955, 224, 9, 70, "Text"],
Cell[57690, 1966, 218, 9, 70, "Text"],
Cell[57911, 1977, 220, 9, 70, "Text"],
Cell[58134, 1988, 225, 9, 70, "Text"],
Cell[58362, 1999, 222, 9, 70, "Text"],
Cell[58587, 2010, 222, 9, 70, "Text"],
Cell[58812, 2021, 221, 9, 70, "Text"],
Cell[59036, 2032, 221, 9, 70, "Text"],
Cell[59260, 2043, 221, 9, 70, "Text"],
Cell[59484, 2054, 225, 9, 70, "Text"],
Cell[59712, 2065, 218, 9, 70, "Text"],
Cell[59933, 2076, 220, 9, 70, "Text"],
Cell[60156, 2087, 227, 9, 70, "Text"],
Cell[60386, 2098, 229, 9, 70, "Text"],
Cell[60618, 2109, 230, 9, 70, "Text"],
Cell[60851, 2120, 228, 9, 70, "Text"],
Cell[61082, 2131, 226, 9, 70, "Text"],
Cell[61311, 2142, 219, 9, 70, "Text"],
Cell[61533, 2153, 224, 9, 70, "Text"],
Cell[61760, 2164, 223, 9, 70, "Text"],
Cell[61986, 2175, 234, 9, 70, "Text"],
Cell[62223, 2186, 235, 9, 70, "Text"],
Cell[62461, 2197, 221, 9, 70, "Text"],
Cell[62685, 2208, 230, 9, 70, "Text"],
Cell[62918, 2219, 218, 9, 70, "Text"],
Cell[63139, 2230, 220, 9, 70, "Text"],
Cell[63362, 2241, 216, 9, 70, "Text"],
Cell[63581, 2252, 222, 9, 70, "Text"],
Cell[63806, 2263, 218, 9, 70, "Text"],
Cell[64027, 2274, 221, 9, 70, "Text"],
Cell[64251, 2285, 214, 9, 70, "Text"],
Cell[64468, 2296, 221, 9, 70, "Text"],
Cell[64692, 2307, 225, 9, 70, "Text"],
Cell[64920, 2318, 223, 9, 70, "Text"],
Cell[65146, 2329, 219, 9, 70, "Text"],
Cell[65368, 2340, 228, 9, 70, "Text"],
Cell[65599, 2351, 236, 9, 70, "Text"],
Cell[65838, 2362, 230, 9, 70, "Text"],
Cell[66071, 2373, 228, 9, 70, "Text"],
Cell[66302, 2384, 229, 9, 70, "Text"],
Cell[66534, 2395, 232, 9, 70, "Text"],
Cell[66769, 2406, 226, 9, 70, "Text"],
Cell[66998, 2417, 235, 9, 70, "Text"],
Cell[67236, 2428, 241, 9, 70, "Text"],
Cell[67480, 2439, 170, 9, 70, "Text"],
Cell[67653, 2450, 227, 9, 70, "Text"],
Cell[67883, 2461, 225, 9, 70, "Text"],
Cell[68111, 2472, 230, 9, 70, "Text"],
Cell[68344, 2483, 224, 9, 70, "Text"],
Cell[68571, 2494, 222, 9, 70, "Text"],
Cell[68796, 2505, 230, 9, 70, "Text"],
Cell[69029, 2516, 235, 9, 70, "Text"],
Cell[69267, 2527, 246, 9, 70, "Text"],
Cell[69516, 2538, 224, 9, 70, "Text"],
Cell[69743, 2549, 228, 9, 70, "Text"],
Cell[69974, 2560, 241, 9, 70, "Text"],
Cell[70218, 2571, 234, 9, 70, "Text"],
Cell[70455, 2582, 229, 9, 70, "Text"],
Cell[70687, 2593, 232, 9, 70, "Text"],
Cell[70922, 2604, 226, 9, 70, "Text"],
Cell[71151, 2615, 220, 9, 70, "Text"],
Cell[71374, 2626, 210, 9, 70, "Text"],
Cell[71587, 2637, 211, 9, 70, "Text"],
Cell[71801, 2648, 214, 9, 70, "Text"],
Cell[72018, 2659, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[72237, 2673, 56, 0, 70, "Subsection"],
Cell[72296, 2675, 1004, 31, 70, "Text",
  CellTags->"1"],
Cell[73303, 2708, 1431, 42, 70, "Text",
  CellTags->"10"],
Cell[74737, 2752, 853, 26, 70, "Text",
  CellTags->"11"],
Cell[75593, 2780, 1113, 34, 70, "Text",
  CellTags->"12"],
Cell[76709, 2816, 1197, 36, 70, "Text",
  CellTags->"13"],
Cell[77909, 2854, 814, 25, 70, "Text",
  CellTags->"14"],
Cell[78726, 2881, 1319, 38, 70, "Text",
  CellTags->"15"],
Cell[80048, 2921, 812, 25, 70, "Text",
  CellTags->"16"],
Cell[80863, 2948, 1056, 33, 70, "Text",
  CellTags->"17"],
Cell[81922, 2983, 1136, 35, 70, "Text",
  CellTags->"18"],
Cell[83061, 3020, 814, 25, 70, "Text",
  CellTags->"19"],
Cell[83878, 3047, 1280, 39, 70, "Text",
  CellTags->"2"],
Cell[85161, 3088, 1368, 41, 70, "Text",
  CellTags->"3"],
Cell[86532, 3131, 730, 23, 70, "Text",
  CellTags->"4"],
Cell[87265, 3156, 963, 30, 70, "Text",
  CellTags->"5"],
Cell[88231, 3188, 418, 13, 70, "Text",
  CellTags->"6"],
Cell[88652, 3203, 693, 22, 70, "Text",
  CellTags->"7"],
Cell[89348, 3227, 771, 24, 70, "Text",
  CellTags->"8"],
Cell[90122, 3253, 1054, 33, 70, "Text",
  CellTags->"9"],
Cell[91179, 3288, 1009, 30, 70, "Text",
  CellTags->"Definition (addition): 1"],
Cell[92191, 3320, 1595, 46, 70, "Text",
  CellTags->"Definition (addition): 2"],
Cell[93789, 3368, 1490, 43, 70, "Text",
  CellTags->"Proposition (commutativity of addition):  + = "]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

