(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    345170,      10113]*)
(*NotebookOutlinePosition[    365691,      10697]*)
(*  CellTagsIndexPosition[    361854,      10581]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture15): conjecture15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture44): conjecture44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "\[TildeTilde]", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture44): conjecture44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture46): conjecture46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X5",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X6",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X7",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X7",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X5",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X6",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Lemma (conjecture46): conjecture46"]
}, Closed]],

Cell[TextData[{
  "We",
  " ",
  "prove ",
  StyleBox["(", "Label"],
  ButtonBox["Theorem (correctness of sort)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Theorem (correctness of sort)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by well\[Dash]founded induction on ",
  Cell[BoxData[
      FormBox[
        StyleBox["X",
          FontWeight->"Bold",
          FontSlant->"Italic",
          FontColor->RGBColor[0, 0, 1],
          Background->None], TraditionalForm]],
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["Well\[Dash]founded induction:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  "Assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  "Well\[Dash]Founded Induction Hypothesis:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x4",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell["", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  "We have to show:  "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell[TextData[{
  "We prove ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by case distinction using ",
  StyleBox["(", "Label"],
  ButtonBox["Algorithm (sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Algorithm (sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[CellGroupData[{

Cell["Case 1: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"4"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"5"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (trivial tuples are sorted)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (trivial tuples are sorted)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"9"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (only trivial tuple permuted version of itself)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (only trivial tuple permuted version of itself)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"10"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of special)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of special)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"11"],

Cell[TextData[{
  "Formula  ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture15): conjecture15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture15): conjecture15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", implies:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"21"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"22"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Case 2: ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"6"],

Cell["Hence, we have to prove", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"8"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " , by ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are tuples): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ",",
  StyleBox[" (", "Label"],
  ButtonBox["Lemma (splits are tuples): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (splits are shorter): 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (splits are shorter): 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["),", "Label"],
  " we obtain: "
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"25"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"26"],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (is sorted version)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (is sorted version)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"41"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["41",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  " ",
  StyleBox["(", "Label"],
  ButtonBox["41.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox["), ", "Label"],
  " by ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (closure of merge)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (closure of merge)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[") ", "Label"],
  "is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"42"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["42",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["42.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "42.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["41.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture44): conjecture44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture44): conjecture44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]},
  CellTags->"44"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["44",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["44.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["44.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "44.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["41.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "41.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", using ",
  StyleBox["(", "Label"],
  ButtonBox["Lemma (conjecture46): conjecture46",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Lemma (conjecture46): conjecture46"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", is implied by:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.305882, 0.815686, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"52"],

Cell[TextData[{
  "We prove the individual conjunctive parts of ",
  StyleBox["(", "Label"],
  ButtonBox["52",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25..2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["25.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "31.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["26.3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "33.3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Proof of ",
  StyleBox["(", "Label"],
  ButtonBox["52.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " ",
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[1, 0, 0]],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["52.7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "52.8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is true because it is identical to ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Theorem["\<correctness of sort\>"], \ 
        using \[Rule] Theory["\<lazy thinking correctness of sort\>"], \ 
        by \[Rule] 
          CascadeLT[SqnsEqCasePC, \ GenerateConjectures, \ nS, \ aNS, \ 
            kConjectures, \ nConjectures], \ 
        built\[Dash]in \[Rule] \
{Property[\(\[TildeTilde]\)\(\(\[Rule]\)\({Commutative}\)\)]}, \ 
        ProverOptions \[Rule] {SqnsProofTechniques \[Rule] {"\<WFInd\>"}, \ 
            SqnsWFOrdering \[Rule] \[Bullet][ \[Succeeds] ], \ 
            GRWTarget \[Rule] {"\<kb\>", \ "\<goal\>"}, \ 
            AllowIntroduceQuantifiers \[Rule] True}, \ 
        SearchDepth \[Rule] 50] // Timing\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00000"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2003/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["PersonalTheoremaSetup`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.67 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Cascade`CascadeLT`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2001/03/23 09:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2002/04/24 12:38:09 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.52 ",
  ", ",
  "Date: 2003/03/28 15:54:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`ConjectureGenerator`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ConjectureGenerator`FailureAnalyser`: ",
    FontWeight->"Bold"],
  "Revision: ",
  ", ",
  "Date: ",
  ", ",
  "Last modified by: "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`CDP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/10/25 17:30:02 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Sqns`Prover`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:04:13 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/02/21 16:02:53 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`TermRewriter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Sqns`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(10)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["Y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}], "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(11)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(12)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}]}], 
              ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(13)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(14)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], "=",
         
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(16)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(17)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(18)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(19)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"special", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["x4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              StyleBox["x4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["x4",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"sorted", "[", 
                  StyleBox["x4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(20)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"special", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(21)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], 
          "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], 
        "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(22.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(23)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(24)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(25)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(26)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{
          RowBox[{"is\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "\[TildeTilde]", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(27)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "=", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(28)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(29)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "\[Implies]", 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"sorted", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(30)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(31.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"31.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(32)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[Implies]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"32"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(33.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"33.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(34)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(35)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(36)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(37)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"37"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(38)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"38"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(39)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "=", 
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"39"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(40)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], "=", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], 
              "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"40"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}]}], "\[And]",
         
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "\[TildeTilde]", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(41.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"merged", "[", 
          RowBox[{
            RowBox[{"sorted", "[", 
              RowBox[{"left\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}], ",", 
            RowBox[{"sorted", "[", 
              RowBox[{"right\[Dash]split", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  OverscriptBox[
                    StyleBox[\(X\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "_"], "\[RightAngleBracket]"}], 
                "]"}], "]"}]}], "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"41.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(42.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"42.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(43)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  RowBox[{"sorted", "[", 
                    RowBox[{"left\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}], ",", 
                  RowBox[{"sorted", "[", 
                    RowBox[{"right\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}]}], "]"}], "]"}], "=", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"43"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(44.8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"44.8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(45)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}], "\[And]", 
          RowBox[{"is\[Dash]sorted", "[", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}], "]"}]}], "\[Implies]", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"special", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  RowBox[{"sorted", "[", 
                    RowBox[{"left\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}], ",", 
                  RowBox[{"sorted", "[", 
                    RowBox[{"right\[Dash]split", "[", 
                      RowBox[{"\[LeftAngleBracket]", 
                        OverscriptBox[
                          StyleBox[\(X\_0\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "_"], "\[RightAngleBracket]"}],
                       "]"}], "]"}]}], "]"}], "]"}], "=", 
            RowBox[{"merged", "[", 
              RowBox[{
                RowBox[{"sorted", "[", 
                  RowBox[{"left\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}], ",", 
                RowBox[{"sorted", "[", 
                  RowBox[{"right\[Dash]split", "[", 
                    RowBox[{"\[LeftAngleBracket]", 
                      OverscriptBox[
                        StyleBox[\(X\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "_"], "\[RightAngleBracket]"}], 
                    "]"}], "]"}]}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"45"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["X7",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X7",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]tuple", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "\[And]", 
            RowBox[{
              RowBox[{"left\[Dash]split", "[", 
                StyleBox["X7",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[TildeTilde]", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "\[And]", 
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "\[And]", 
            RowBox[{"is\[Dash]tuple", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "\[And]", 
            RowBox[{
              RowBox[{"right\[Dash]split", "[", 
                StyleBox["X7",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[TildeTilde]", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "\[And]", 
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X7",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"46"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"special", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}], 
        "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"left\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "\[TildeTilde]", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}]}], "\[And]", 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"sorted", "[", 
            RowBox[{"right\[Dash]split", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                OverscriptBox[
                  StyleBox[\(X\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
            "]"}], "]"}], "\[And]", 
        RowBox[{"\[Not]", 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], 
            "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"left\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.4)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"left\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.4"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.5)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]tuple", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.5"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"right\[Dash]split", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
        "\[TildeTilde]", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.7)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"sorted", "[", 
          RowBox[{"right\[Dash]split", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              OverscriptBox[
                StyleBox[\(X\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "_"], "\[RightAngleBracket]"}], "]"}], 
          "]"}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.7"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(52.8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"52.8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(6)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"\[Not]", 
        RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], "]"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(8)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
        RowBox[{
          RowBox[{"\[LeftAngleBracket]", 
            OverscriptBox[
              StyleBox[\(X\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "_"], "\[RightAngleBracket]"}], ",", 
          RowBox[{"merged", "[", 
            RowBox[{
              RowBox[{"sorted", "[", 
                RowBox[{"left\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}], ",", 
              RowBox[{"sorted", "[", 
                RowBox[{"right\[Dash]split", "[", 
                  RowBox[{"\[LeftAngleBracket]", 
                    OverscriptBox[
                      StyleBox[\(X\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "_"], "\[RightAngleBracket]"}], 
                  "]"}], "]"}]}], "]"}]}], "]"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(9)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"is\[Dash]sorted", "[", 
        RowBox[{"\[LeftAngleBracket]", 
          OverscriptBox[
            StyleBox[\(X\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "_"], "\[RightAngleBracket]"}], "]"}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Algorithm (sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"special", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}], "\[DoubleLeftArrow]", 
                  RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                    StyleBox["X",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "]"}]}], ",", 
                RowBox[{
                  RowBox[{"merged", "[", 
                    RowBox[{
                      RowBox[{"sorted", "[", 
                        RowBox[{"left\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}], ",", 
                      RowBox[{"sorted", "[", 
                        RowBox[{"right\[Dash]split", "[", 
                          StyleBox["X",
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "]"}], "]"}]}], "]"}], 
                  "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Algorithm (sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], 
                ",", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], "]"}], 
            "=", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (deletion of the first occurrence): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"dfo", "[", 
              RowBox[{
                StyleBox["a",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}]}], "]"}], 
            "=", 
            RowBox[{"\[LeftDoubleBracketingBar]", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftAngleBracket]", 
                    StyleBox[\(x\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[RightAngleBracket]"}], 
                  "\[DoubleLeftArrow]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "=", 
                    StyleBox["a",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}]}], ",", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], "\[Cup]", 
                    RowBox[{"dfo", "[", 
                      RowBox[{
                        StyleBox["a",
                          FontWeight->"Bold",
                          FontSlant->"Italic",
                          FontColor->RGBColor[0, 0, 1],
                          Background->None], ",", 
                        RowBox[{"\[LeftAngleBracket]", 
                          StyleBox[\(x\&_\),
                            FontWeight->"Bold",
                            FontSlant->"Italic",
                            FontColor->RGBColor[0, 0, 1],
                            Background->None], "\[RightAngleBracket]"}]}], 
                      "]"}]}], "\[DoubleLeftArrow]", "otherwise"}]}], 
              "\[RightDoubleBracketingBar]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (deletion of the first occurrence): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], 
            "\[NotElement]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is element): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Element]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "=", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], ")"}], "\[Or]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is element): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotSucceeds]", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(y\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}], 
            "\[Succeeds]", \(\[LeftAngleBracket]\[RightAngleBracket]\)}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is longer than): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], 
              "\[Succeeds]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], "\[Succeeds]", 
              
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is longer than): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[LeftAngleBracket]\[RightAngleBracket] \[TildeTilde] \
\[LeftAngleBracket]\[RightAngleBracket]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          
          RowBox[{\(\[LeftAngleBracket]\[RightAngleBracket]\), 
            "\[NotTildeTilde]", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is permuted version): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}], 
              "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}]}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[Element]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(y\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], "\[And]", 
              RowBox[{
                RowBox[{"dfo", "[", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    RowBox[{"\[LeftAngleBracket]", 
                      StyleBox[\(y\&_\),
                        FontWeight->"Bold",
                        FontSlant->"Italic",
                        FontColor->RGBColor[0, 0, 1],
                        Background->None], "\[RightAngleBracket]"}]}], "]"}], 
                "\[TildeTilde]", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is permuted version): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted): 3)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(z\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"\[LeftAngleBracket]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox[\(z\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "\[RightAngleBracket]"}], "]"}], 
            "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[GreaterEqual]", 
                StyleBox["y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                RowBox[{"\[LeftAngleBracket]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None], ",", 
                    StyleBox[\(z\&_\),
                      FontWeight->"Bold",
                      FontSlant->"Italic",
                      FontColor->RGBColor[0, 0, 1],
                      Background->None]}], "\[RightAngleBracket]"}], 
                "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted): 3"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is sorted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[TildeTilde]", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is sorted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (is trivial tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{"is\[Dash]empty\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[Or]", 
              RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (is trivial tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Definition (prepend): \[Cup])", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            StyleBox[\(y\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[Cup]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}], "=", 
            RowBox[{"\[LeftAngleBracket]", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], ",", 
                StyleBox[\(y\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (prepend): \[Cup]"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of merge))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", GridBox[{
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["X",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]},
              {
                RowBox[{"is\[Dash]tuple", "[", 
                  StyleBox["Y",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}
              }]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"merged", "[", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of merge)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (closure of special))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"special", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (closure of special)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture15): conjecture15)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X1",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X1",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}], "\[Implies]", 
            RowBox[{"(", 
              RowBox[{
                RowBox[{"special", "[", 
                  StyleBox["X1",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "=", 
                StyleBox["X1",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], ")"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture15): conjecture15"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture44): conjecture44)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X2",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X3",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X4",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X2",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X3",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X4",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X2",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X3",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "\[TildeTilde]", 
              StyleBox["X4",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture44): conjecture44"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (conjecture46): conjecture46)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X5",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X6",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["X7",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X7",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"left\[Dash]split", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X5",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"is\[Dash]tuple", "[", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{
                RowBox[{"right\[Dash]split", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}], "\[TildeTilde]", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None]}], "\[And]", 
              RowBox[{"is\[Dash]sorted", "[", 
                StyleBox["X6",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}], "\[And]", 
              RowBox[{"\[Not]", 
                RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                  StyleBox["X7",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "]"}]}]}], "\[Implies]", 
            RowBox[{"is\[Dash]sorted", "[", 
              RowBox[{"merged", "[", 
                RowBox[{
                  StyleBox["X5",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], ",", 
                  StyleBox["X6",
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None]}], "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (conjecture46): conjecture46"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"left\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are shorter): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]], 
          RowBox[{"\[Not]", 
            RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[Succeeds]", 
            RowBox[{"right\[Dash]split", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are shorter): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 1)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"left\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Lemma (splits are tuples): 2)", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{
            RowBox[{"is\[Dash]tuple", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}], "\[And]", 
            RowBox[{"\[Not]", 
              RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
                StyleBox["X",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "]"}]}]}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"right\[Dash]split", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Lemma (splits are tuples): 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (is tuple tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (is tuple tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (only trivial tuple permuted version of itself))", 
    "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], ",", 
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None]}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"(", 
              RowBox[{
                StyleBox["Y",
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "=", 
                RowBox[{"\[LeftAngleBracket]", 
                  StyleBox[\(x\&_\),
                    FontWeight->"Bold",
                    FontSlant->"Italic",
                    FontColor->RGBColor[0, 0, 1],
                    Background->None], "\[RightAngleBracket]"}]}], ")"}], 
            "\[Implies]", 
            RowBox[{
              StyleBox["Y",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[TildeTilde]", 
              RowBox[{"\[LeftAngleBracket]", 
                StyleBox[\(x\&_\),
                  FontWeight->"Bold",
                  FontSlant->"Italic",
                  FontColor->RGBColor[0, 0, 1],
                  Background->None], "\[RightAngleBracket]"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (reflexivity of permuted version))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "\[TildeTilde]", 
            
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (reflexivity of permuted version)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (singleton tuple is singleton tuple))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], " "}]], 
        RowBox[{"is\[Dash]singleton\[Dash]tuple", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox["x",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (singleton tuple is singleton tuple)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Proposition (trivial tuples are sorted))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox[
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], " "}]], 
          RowBox[{"is\[Dash]trivial\[Dash]tuple", "[", 
            RowBox[{"\[LeftAngleBracket]", 
              StyleBox[\(x\&_\),
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "\[RightAngleBracket]"}], "]"}]], 
        RowBox[{"is\[Dash]sorted", "[", 
          RowBox[{"\[LeftAngleBracket]", 
            StyleBox[\(x\&_\),
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "\[RightAngleBracket]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (trivial tuples are sorted)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox["(Theorem (correctness of sort))", "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{"is\[Dash]tuple", "[", 
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], "]"}]], 
        RowBox[{"is\[Dash]sorted\[Dash]version", "[", 
          RowBox[{
            StyleBox["X",
              FontWeight->"Bold",
              FontSlant->"Italic",
              FontColor->RGBColor[0, 0, 1],
              Background->None], ",", 
            RowBox[{"sorted", "[", 
              StyleBox["X",
                FontWeight->"Bold",
                FontSlant->"Italic",
                FontColor->RGBColor[0, 0, 1],
                Background->None], "]"}]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Theorem (correctness of sort)"->{
    Cell[1823, 55, 1159, 31, 57, "Conclusion",
      CellTags->"Theorem (correctness of sort)"],
    Cell[342707, 10041, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"],
    Cell[343926, 10076, 1216, 33, 105, "Text",
      CellTags->"Theorem (correctness of sort)"]},
  "Definition (is sorted): 1"->{
    Cell[3119, 93, 461, 12, 49, "Assumption",
      CellTags->"Definition (is sorted): 1"],
    Cell[301515, 8922, 513, 13, 105, "Text",
      CellTags->"Definition (is sorted): 1"]},
  "Definition (is sorted): 2"->{
    Cell[3583, 107, 935, 26, 58, "Assumption",
      CellTags->"Definition (is sorted): 2"],
    Cell[302031, 8937, 987, 27, 105, "Text",
      CellTags->"Definition (is sorted): 2"]},
  "Definition (is sorted): 3"->{
    Cell[4521, 135, 2935, 75, 61, "Assumption",
      CellTags->"Definition (is sorted): 3"],
    Cell[303021, 8966, 2992, 77, 105, "Text",
      CellTags->"Definition (is sorted): 3"]},
  "Definition (is permuted version): 1"->{
    Cell[7459, 212, 515, 12, 49, "Assumption",
      CellTags->"Definition (is permuted version): 1"],
    Cell[295898, 8772, 572, 14, 105, "Text",
      CellTags->"Definition (is permuted version): 1"]},
  "Definition (is permuted version): 2"->{
    Cell[7977, 226, 1474, 40, 61, "Assumption",
      CellTags->"Definition (is permuted version): 2"],
    Cell[296473, 8788, 1531, 42, 105, "Text",
      CellTags->"Definition (is permuted version): 2"]},
  "Definition (is permuted version): 3"->{
    Cell[9454, 268, 3448, 86, 61, "Assumption",
      CellTags->"Definition (is permuted version): 3"],
    Cell[298007, 8832, 3505, 88, 105, "Text",
      CellTags->"Definition (is permuted version): 3"]},
  "Definition (is sorted version)"->{
    Cell[12905, 356, 2618, 68, 75, "Assumption",
      CellTags->"Definition (is sorted version)"],
    Cell[306016, 9045, 2675, 70, 105, "Text",
      CellTags->"Definition (is sorted version)"]},
  "Proposition (is tuple tuple)"->{
    Cell[15526, 426, 950, 26, 60, "Assumption",
      CellTags->"Proposition (is tuple tuple)"],
    Cell[335481, 9843, 1002, 27, 105, "Text",
      CellTags->"Proposition (is tuple tuple)"]},
  "Definition (prepend): \[Cup]"->{
    Cell[16479, 454, 1862, 50, 61, "Assumption",
      CellTags->"Definition (prepend): \[Cup]"],
    Cell[310303, 9160, 1919, 52, 105, "Text",
      CellTags->"Definition (prepend): \[Cup]"]},
  "Proposition (singleton tuple is singleton tuple)"->{
    Cell[18344, 506, 996, 26, 58, "Assumption",
      CellTags->"Proposition (singleton tuple is singleton tuple)"],
    Cell[340268, 9975, 1048, 27, 105, "Text",
      CellTags->"Proposition (singleton tuple is singleton tuple)"]},
  "Definition (is trivial tuple)"->{
    Cell[19343, 534, 1549, 39, 60, "Assumption",
      CellTags->"Definition (is trivial tuple)"],
    Cell[308694, 9117, 1606, 41, 105, "Text",
      CellTags->"Definition (is trivial tuple)"]},
  "Definition (is element): 1"->{
    Cell[20895, 575, 952, 27, 58, "Assumption",
      CellTags->"Definition (is element): 1"],
    Cell[286321, 8505, 1009, 29, 105, "Text",
      CellTags->"Definition (is element): 1"]},
  "Definition (is element): 2"->{
    Cell[21850, 604, 2854, 75, 61, "Assumption",
      CellTags->"Definition (is element): 2"],
    Cell[287333, 8536, 2911, 77, 105, "Text",
      CellTags->"Definition (is element): 2"]},
  "Definition (deletion of the first occurrence): 1"->{
    Cell[24707, 681, 1130, 30, 58, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 1"],
    Cell[281221, 8374, 1187, 32, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 1"]},
  "Definition (deletion of the first occurrence): 2"->{
    Cell[25840, 713, 3850, 93, 60, "Assumption",
      CellTags->"Definition (deletion of the first occurrence): 2"],
    Cell[282411, 8408, 3907, 95, 105, "Text",
      CellTags->"Definition (deletion of the first occurrence): 2"]},
  "Definition (is longer than): 1"->{
    Cell[29693, 808, 1056, 29, 61, "Assumption",
      CellTags->"Definition (is longer than): 1"],
    Cell[290247, 8615, 1113, 31, 105, "Text",
      CellTags->"Definition (is longer than): 1"]},
  "Definition (is longer than): 2"->{
    Cell[30752, 839, 1454, 39, 60, "Assumption",
      CellTags->"Definition (is longer than): 2"],
    Cell[291363, 8648, 1511, 41, 105, "Text",
      CellTags->"Definition (is longer than): 2"]},
  "Definition (is longer than): 3"->{
    Cell[32209, 880, 2961, 77, 61, "Assumption",
      CellTags->"Definition (is longer than): 3"],
    Cell[292877, 8691, 3018, 79, 105, "Text",
      CellTags->"Definition (is longer than): 3"]},
  "Proposition (trivial tuples are sorted)"->{
    Cell[35173, 959, 1333, 34, 78, "Assumption",
      CellTags->"Proposition (trivial tuples are sorted)"],
    Cell[341319, 10004, 1385, 35, 105, "Text",
      CellTags->"Proposition (trivial tuples are sorted)"]},
  "Proposition (only trivial tuple permuted version of itself)"->{
    Cell[36509, 995, 2375, 61, 78, "Assumption",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"],
    Cell[336486, 9872, 2432, 63, 105, "Text",
      CellTags->
      "Proposition (only trivial tuple permuted version of itself)"]},
  "Proposition (reflexivity of permuted version)"->{
    Cell[38887, 1058, 1287, 34, 60, "Assumption",
      CellTags->"Proposition (reflexivity of permuted version)"],
    Cell[338921, 9937, 1344, 36, 105, "Text",
      CellTags->"Proposition (reflexivity of permuted version)"]},
  "Algorithm (sorted)"->{
    Cell[40177, 1094, 2545, 60, 99, "Assumption",
      CellTags->"Algorithm (sorted)"],
    Cell[278616, 8310, 2602, 62, 105, "Text",
      CellTags->"Algorithm (sorted)"]},
  "Lemma (closure of special)"->{
    Cell[42725, 1156, 1457, 39, 75, "Assumption",
      CellTags->"Lemma (closure of special)"],
    Cell[313782, 9258, 1514, 41, 105, "Text",
      CellTags->"Lemma (closure of special)"]},
  "Lemma (splits are tuples): 1"->{
    Cell[44185, 1197, 1515, 40, 75, "Assumption",
      CellTags->"Lemma (splits are tuples): 1"],
    Cell[332330, 9755, 1572, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 1"]},
  "Lemma (splits are tuples): 2"->{
    Cell[45703, 1239, 1516, 40, 75, "Assumption",
      CellTags->"Lemma (splits are tuples): 2"],
    Cell[333905, 9799, 1573, 42, 105, "Text",
      CellTags->"Lemma (splits are tuples): 2"]},
  "Lemma (splits are shorter): 1"->{
    Cell[47222, 1281, 1464, 39, 76, "Assumption",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[326232, 9583, 1521, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 1"],
    Cell[327756, 9626, 1521, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 1"]},
  "Lemma (splits are shorter): 2"->{
    Cell[48689, 1322, 1465, 39, 76, "Assumption",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[329280, 9669, 1522, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 2"],
    Cell[330805, 9712, 1522, 41, 105, "Text",
      CellTags->"Lemma (splits are shorter): 2"]},
  "Lemma (closure of merge)"->{
    Cell[50157, 1363, 1497, 40, 78, "Assumption",
      CellTags->"Lemma (closure of merge)"],
    Cell[312225, 9214, 1554, 42, 105, "Text",
      CellTags->"Lemma (closure of merge)"]},
  "Lemma (conjecture15): conjecture15"->{
    Cell[51657, 1405, 2037, 53, 75, "Assumption",
      CellTags->"Lemma (conjecture15): conjecture15"],
    Cell[315299, 9301, 2094, 55, 105, "Text",
      CellTags->"Lemma (conjecture15): conjecture15"]},
  "Lemma (conjecture44): conjecture44"->{
    Cell[53697, 1460, 4444, 111, 106, "Assumption",
      CellTags->"Lemma (conjecture44): conjecture44"],
    Cell[317396, 9358, 4501, 113, 105, "Text",
      CellTags->"Lemma (conjecture44): conjecture44"]},
  "Lemma (conjecture46): conjecture46"->{
    Cell[58144, 1573, 4277, 107, 135, "Assumption",
      CellTags->"Lemma (conjecture46): conjecture46"],
    Cell[321900, 9473, 4329, 108, 105, "Text",
      CellTags->"Lemma (conjecture46): conjecture46"]},
  "1"->{
    Cell[63463, 1717, 635, 18, 47, "Assumption",
      CellTags->"1"],
    Cell[168163, 5300, 678, 20, 105, "Text",
      CellTags->"1"]},
  "2"->{
    Cell[64276, 1743, 1745, 47, 57, "Assumption",
      CellTags->"2"],
    Cell[182078, 5703, 1784, 48, 105, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[66177, 1798, 987, 26, 47, "Conclusion",
      CellTags->"3"],
    Cell[201259, 6239, 1030, 28, 105, "Text",
      CellTags->"3"]},
  "4"->{
    Cell[67960, 1854, 635, 18, 49, "Assumption",
      CellTags->"4"],
    Cell[224473, 6872, 692, 20, 105, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[68711, 1877, 974, 26, 49, "Conclusion",
      CellTags->"5"],
    Cell[263381, 7880, 1031, 28, 105, "Text",
      CellTags->"5"]},
  "9"->{
    Cell[70389, 1928, 622, 18, 49, "Assumption",
      CellTags->"9"],
    Cell[277934, 8288, 679, 20, 105, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[71755, 1971, 1712, 47, 58, "Assumption",
      CellTags->"10"],
    Cell[168844, 5322, 1769, 49, 105, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[74399, 2052, 679, 19, 49, "Assumption",
      CellTags->"11"],
    Cell[170616, 5373, 1085, 30, 105, "Text",
      CellTags->"11"]},
  "14"->{
    Cell[76026, 2105, 893, 26, 49, "Assumption",
      CellTags->"14"],
    Cell[174929, 5495, 957, 27, 105, "Text",
      CellTags->"14"]},
  "21"->{
    Cell[77558, 2156, 918, 25, 49, "Conclusion",
      CellTags->"21"],
    Cell[184604, 5776, 975, 27, 105, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[79173, 2206, 1519, 42, 49, "Conclusion",
      CellTags->"22"],
    Cell[185582, 5805, 1576, 44, 105, "Text",
      CellTags->"22"]},
  "6"->{
    Cell[85945, 2433, 676, 19, 47, "Assumption",
      CellTags->"6"],
    Cell[275575, 8223, 733, 21, 105, "Text",
      CellTags->"6"]},
  "8"->{
    Cell[86737, 2457, 1563, 38, 73, "Conclusion",
      CellTags->"8"],
    Cell[276311, 8246, 1620, 40, 105, "Text",
      CellTags->"8"]},
  "23"->{
    Cell[90411, 2565, 1132, 29, 47, "Assumption",
      CellTags->"23"],
    Cell[189448, 5923, 1175, 31, 105, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[91546, 2596, 1134, 29, 47, "Assumption",
      CellTags->"24"],
    Cell[190626, 5956, 1177, 31, 105, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[93367, 2650, 1952, 49, 119, "Assumption",
      CellTags->"25"],
    Cell[191806, 5989, 2489, 61, 105, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[96006, 2724, 1956, 49, 119, "Assumption",
      CellTags->"26"],
    Cell[194298, 6052, 2494, 61, 105, "Text",
      CellTags->"26"]},
  "41"->{
    Cell[98907, 2807, 3450, 81, 95, "Conclusion",
      CellTags->"41"],
    Cell[227201, 6947, 3817, 91, 105, "Text",
      CellTags->"41"]},
  "42"->{
    Cell[104899, 2968, 1227, 31, 49, "Conclusion",
      CellTags->"42"],
    Cell[235848, 7173, 1270, 33, 105, "Text",
      CellTags->"42"]},
  "44"->{
    Cell[112182, 3195, 3931, 96, 103, "Conclusion",
      CellTags->"44"],
    Cell[243193, 7357, 4298, 106, 105, "Text",
      CellTags->"44"]},
  "52"->{
    Cell[130590, 3765, 3945, 96, 219, "Conclusion",
      CellTags->"52"],
    Cell[264415, 7910, 4298, 106, 105, "Text",
      CellTags->"52"]},
  "AdditionalInfo"->{
    Cell[147090, 4280, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]},
  "12"->{
    Cell[171704, 5405, 1843, 48, 105, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[173550, 5455, 1376, 38, 105, "Text",
      CellTags->"13"]},
  "15"->{
    Cell[175889, 5524, 945, 27, 105, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[176837, 5553, 905, 26, 105, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[177745, 5581, 957, 27, 105, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[178705, 5610, 1377, 38, 105, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[180085, 5650, 1990, 51, 105, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[183865, 5753, 736, 21, 105, "Text",
      CellTags->"20"]},
  "22.1"->{
    Cell[187161, 5851, 684, 20, 105, "Text",
      CellTags->"22.1"]},
  "22.2"->{
    Cell[187848, 5873, 909, 26, 105, "Text",
      CellTags->"22.2"]},
  "22.3"->{
    Cell[188760, 5901, 685, 20, 105, "Text",
      CellTags->"22.3"]},
  "27"->{
    Cell[196795, 6115, 1750, 47, 105, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[198548, 6164, 1094, 30, 105, "Text",
      CellTags->"28"]},
  "29"->{
    Cell[199645, 6196, 1611, 41, 105, "Text",
      CellTags->"29"]},
  "30"->{
    Cell[202292, 6269, 745, 21, 105, "Text",
      CellTags->"30"]},
  "31"->{
    Cell[203040, 6292, 2009, 51, 105, "Text",
      CellTags->"31"]},
  "31.1"->{
    Cell[205052, 6345, 804, 22, 105, "Text",
      CellTags->"31.1"]},
  "31.2"->{
    Cell[205859, 6369, 1095, 30, 105, "Text",
      CellTags->"31.2"]},
  "31.3"->{
    Cell[206957, 6401, 805, 22, 105, "Text",
      CellTags->"31.3"]},
  "32"->{
    Cell[207765, 6425, 1095, 30, 105, "Text",
      CellTags->"32"]},
  "33"->{
    Cell[208863, 6457, 2013, 51, 105, "Text",
      CellTags->"33"]},
  "33.1"->{
    Cell[210879, 6510, 805, 22, 105, "Text",
      CellTags->"33.1"]},
  "33.2"->{
    Cell[211687, 6534, 1097, 30, 105, "Text",
      CellTags->"33.2"]},
  "33.3"->{
    Cell[212787, 6566, 806, 22, 105, "Text",
      CellTags->"33.3"]},
  "34"->{
    Cell[213596, 6590, 746, 21, 105, "Text",
      CellTags->"34"]},
  "35"->{
    Cell[214345, 6613, 2272, 55, 105, "Text",
      CellTags->"35"]},
  "36"->{
    Cell[216620, 6670, 1775, 44, 105, "Text",
      CellTags->"36"]},
  "37"->{
    Cell[218398, 6716, 2026, 51, 105, "Text",
      CellTags->"37"]},
  "38"->{
    Cell[220427, 6769, 2268, 55, 105, "Text",
      CellTags->"38"]},
  "39"->{
    Cell[222698, 6826, 1772, 44, 105, "Text",
      CellTags->"39"]},
  "40"->{
    Cell[225168, 6894, 2030, 51, 105, "Text",
      CellTags->"40"]},
  "41.1"->{
    Cell[231021, 7040, 684, 20, 105, "Text",
      CellTags->"41.1"]},
  "41.2"->{
    Cell[231708, 7062, 1303, 33, 105, "Text",
      CellTags->"41.2"]},
  "41.3"->{
    Cell[233014, 7097, 1524, 39, 105, "Text",
      CellTags->"41.3"]},
  "41.4"->{
    Cell[234541, 7138, 1304, 33, 105, "Text",
      CellTags->"41.4"]},
  "42.1"->{
    Cell[237121, 7208, 804, 22, 105, "Text",
      CellTags->"42.1"]},
  "42.2"->{
    Cell[237928, 7232, 805, 22, 105, "Text",
      CellTags->"42.2"]},
  "43"->{
    Cell[238736, 7256, 4454, 99, 105, "Text",
      CellTags->"43"]},
  "44.1"->{
    Cell[247494, 7465, 684, 20, 105, "Text",
      CellTags->"44.1"]},
  "44.2"->{
    Cell[248181, 7487, 804, 22, 105, "Text",
      CellTags->"44.2"]},
  "44.3"->{
    Cell[248988, 7511, 1095, 30, 105, "Text",
      CellTags->"44.3"]},
  "44.4"->{
    Cell[250086, 7543, 805, 22, 105, "Text",
      CellTags->"44.4"]},
  "44.5"->{
    Cell[250894, 7567, 805, 22, 105, "Text",
      CellTags->"44.5"]},
  "44.6"->{
    Cell[251702, 7591, 1097, 30, 105, "Text",
      CellTags->"44.6"]},
  "44.7"->{
    Cell[252802, 7623, 806, 22, 105, "Text",
      CellTags->"44.7"]},
  "44.8"->{
    Cell[253611, 7647, 739, 21, 105, "Text",
      CellTags->"44.8"]},
  "45"->{
    Cell[254353, 7670, 4454, 99, 105, "Text",
      CellTags->"45"]},
  "46"->{
    Cell[258810, 7771, 4568, 107, 105, "Text",
      CellTags->"46"]},
  "52.1"->{
    Cell[268716, 8018, 684, 20, 105, "Text",
      CellTags->"52.1"]},
  "52.2"->{
    Cell[269403, 8040, 804, 22, 105, "Text",
      CellTags->"52.2"]},
  "52.3"->{
    Cell[270210, 8064, 1095, 30, 105, "Text",
      CellTags->"52.3"]},
  "52.4"->{
    Cell[271308, 8096, 805, 22, 105, "Text",
      CellTags->"52.4"]},
  "52.5"->{
    Cell[272116, 8120, 805, 22, 105, "Text",
      CellTags->"52.5"]},
  "52.6"->{
    Cell[272924, 8144, 1097, 30, 105, "Text",
      CellTags->"52.6"]},
  "52.7"->{
    Cell[274024, 8176, 806, 22, 105, "Text",
      CellTags->"52.7"]},
  "52.8"->{
    Cell[274833, 8200, 739, 21, 105, "Text",
      CellTags->"52.8"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Theorem (correctness of sort)", 345916, 10133},
  {"Definition (is sorted): 1", 346241, 10140},
  {"Definition (is sorted): 2", 346458, 10145},
  {"Definition (is sorted): 3", 346676, 10150},
  {"Definition (is permuted version): 1", 346906, 10155},
  {"Definition (is permuted version): 2", 347154, 10160},
  {"Definition (is permuted version): 3", 347404, 10165},
  {"Definition (is sorted version)", 347649, 10170},
  {"Proposition (is tuple tuple)", 347883, 10175},
  {"Definition (prepend): \[Cup]", 348112, 10180},
  {"Proposition (singleton tuple is singleton tuple)", 348362, 10185},
  {"Definition (is trivial tuple)", 348632, 10190},
  {"Definition (is element): 1", 348862, 10195},
  {"Definition (is element): 2", 349085, 10200},
  {"Definition (deletion of the first occurrence): 1", 349331, 10205},
  {"Definition (deletion of the first occurrence): 2", 349621, 10210},
  {"Definition (is longer than): 1", 349893, 10215},
  {"Definition (is longer than): 2", 350129, 10220},
  {"Definition (is longer than): 3", 350365, 10225},
  {"Proposition (trivial tuples are sorted)", 350610, 10230},
  {"Proposition (only trivial tuple permuted version of itself)", 350894, \
10235},
  {"Proposition (reflexivity of permuted version)", 351217, 10242},
  {"Algorithm (sorted)", 351472, 10247},
  {"Lemma (closure of special)", 351681, 10252},
  {"Lemma (splits are tuples): 1", 351908, 10257},
  {"Lemma (splits are tuples): 2", 352139, 10262},
  {"Lemma (splits are shorter): 1", 352371, 10267},
  {"Lemma (splits are shorter): 2", 352701, 10274},
  {"Lemma (closure of merge)", 353026, 10281},
  {"Lemma (conjecture15): conjecture15", 353255, 10286},
  {"Lemma (conjecture44): conjecture44", 353504, 10291},
  {"Lemma (conjecture46): conjecture46", 353756, 10296},
  {"1", 353975, 10301},
  {"2", 354123, 10306},
  {"3", 354273, 10311},
  {"4", 354422, 10316},
  {"5", 354570, 10321},
  {"9", 354719, 10326},
  {"10", 354868, 10331},
  {"11", 355021, 10336},
  {"14", 355173, 10341},
  {"21", 355324, 10346},
  {"22", 355475, 10351},
  {"6", 355627, 10356},
  {"8", 355775, 10361},
  {"23", 355926, 10366},
  {"24", 356079, 10371},
  {"25", 356232, 10376},
  {"26", 356386, 10381},
  {"41", 356540, 10386},
  {"42", 356693, 10391},
  {"44", 356847, 10396},
  {"52", 357003, 10401},
  {"AdditionalInfo", 357171, 10406},
  {"12", 357262, 10409},
  {"13", 357342, 10412},
  {"15", 357422, 10415},
  {"16", 357501, 10418},
  {"17", 357580, 10421},
  {"18", 357659, 10424},
  {"19", 357739, 10427},
  {"20", 357819, 10430},
  {"22.1", 357900, 10433},
  {"22.2", 357983, 10436},
  {"22.3", 358066, 10439},
  {"27", 358147, 10442},
  {"28", 358227, 10445},
  {"29", 358307, 10448},
  {"30", 358387, 10451},
  {"31", 358466, 10454},
  {"31.1", 358548, 10457},
  {"31.2", 358631, 10460},
  {"31.3", 358715, 10463},
  {"32", 358796, 10466},
  {"33", 358876, 10469},
  {"33.1", 358958, 10472},
  {"33.2", 359041, 10475},
  {"33.3", 359125, 10478},
  {"34", 359206, 10481},
  {"35", 359285, 10484},
  {"36", 359365, 10487},
  {"37", 359445, 10490},
  {"38", 359525, 10493},
  {"39", 359605, 10496},
  {"40", 359685, 10499},
  {"41.1", 359767, 10502},
  {"41.2", 359850, 10505},
  {"41.3", 359934, 10508},
  {"41.4", 360018, 10511},
  {"42.1", 360102, 10514},
  {"42.2", 360185, 10517},
  {"43", 360266, 10520},
  {"44.1", 360348, 10523},
  {"44.2", 360431, 10526},
  {"44.3", 360514, 10529},
  {"44.4", 360598, 10532},
  {"44.5", 360681, 10535},
  {"44.6", 360764, 10538},
  {"44.7", 360848, 10541},
  {"44.8", 360931, 10544},
  {"45", 361012, 10547},
  {"46", 361092, 10550},
  {"52.1", 361175, 10553},
  {"52.2", 361258, 10556},
  {"52.3", 361341, 10559},
  {"52.4", 361425, 10562},
  {"52.5", 361508, 10565},
  {"52.6", 361591, 10568},
  {"52.7", 361675, 10571},
  {"52.8", 361758, 10574}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 47, "ProofText"],
Cell[1823, 55, 1159, 31, 57, "Conclusion",
  CellTags->"Theorem (correctness of sort)"],

Cell[CellGroupData[{
Cell[3007, 90, 109, 1, 47, "ProofText"],
Cell[3119, 93, 461, 12, 49, "Assumption",
  CellTags->"Definition (is sorted): 1"],
Cell[3583, 107, 935, 26, 58, "Assumption",
  CellTags->"Definition (is sorted): 2"],
Cell[4521, 135, 2935, 75, 61, "Assumption",
  CellTags->"Definition (is sorted): 3"],
Cell[7459, 212, 515, 12, 49, "Assumption",
  CellTags->"Definition (is permuted version): 1"],
Cell[7977, 226, 1474, 40, 61, "Assumption",
  CellTags->"Definition (is permuted version): 2"],
Cell[9454, 268, 3448, 86, 61, "Assumption",
  CellTags->"Definition (is permuted version): 3"],
Cell[12905, 356, 2618, 68, 75, "Assumption",
  CellTags->"Definition (is sorted version)"],
Cell[15526, 426, 950, 26, 60, "Assumption",
  CellTags->"Proposition (is tuple tuple)"],
Cell[16479, 454, 1862, 50, 61, "Assumption",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[18344, 506, 996, 26, 58, "Assumption",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[19343, 534, 1549, 39, 60, "Assumption",
  CellTags->"Definition (is trivial tuple)"],
Cell[20895, 575, 952, 27, 58, "Assumption",
  CellTags->"Definition (is element): 1"],
Cell[21850, 604, 2854, 75, 61, "Assumption",
  CellTags->"Definition (is element): 2"],
Cell[24707, 681, 1130, 30, 58, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[25840, 713, 3850, 93, 60, "Assumption",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[29693, 808, 1056, 29, 61, "Assumption",
  CellTags->"Definition (is longer than): 1"],
Cell[30752, 839, 1454, 39, 60, "Assumption",
  CellTags->"Definition (is longer than): 2"],
Cell[32209, 880, 2961, 77, 61, "Assumption",
  CellTags->"Definition (is longer than): 3"],
Cell[35173, 959, 1333, 34, 78, "Assumption",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[36509, 995, 2375, 61, 78, "Assumption",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[38887, 1058, 1287, 34, 60, "Assumption",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[40177, 1094, 2545, 60, 99, "Assumption",
  CellTags->"Algorithm (sorted)"],
Cell[42725, 1156, 1457, 39, 75, "Assumption",
  CellTags->"Lemma (closure of special)"],
Cell[44185, 1197, 1515, 40, 75, "Assumption",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[45703, 1239, 1516, 40, 75, "Assumption",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[47222, 1281, 1464, 39, 76, "Assumption",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[48689, 1322, 1465, 39, 76, "Assumption",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[50157, 1363, 1497, 40, 78, "Assumption",
  CellTags->"Lemma (closure of merge)"],
Cell[51657, 1405, 2037, 53, 75, "Assumption",
  CellTags->"Lemma (conjecture15): conjecture15"],
Cell[53697, 1460, 4444, 111, 106, "Assumption",
  CellTags->"Lemma (conjecture44): conjecture44"],
Cell[58144, 1573, 4277, 107, 135, "Assumption",
  CellTags->"Lemma (conjecture46): conjecture46"]
}, Closed]],
Cell[62436, 1683, 756, 23, 40, "ProofText"],
Cell[63195, 1708, 123, 1, 47, "ProofText"],
Cell[63321, 1711, 139, 4, 47, "ProofText"],
Cell[63463, 1717, 635, 18, 47, "Assumption",
  CellTags->"1"],
Cell[64101, 1737, 172, 4, 47, "ProofText"],
Cell[64276, 1743, 1745, 47, 57, "Assumption",
  CellTags->"2"],
Cell[66024, 1792, 150, 4, 47, "ProofText"],
Cell[66177, 1798, 987, 26, 47, "Conclusion",
  CellTags->"3"],
Cell[67167, 1826, 670, 21, 47, "ProofText"],

Cell[CellGroupData[{
Cell[67862, 1851, 95, 1, 47, "ProofText"],
Cell[67960, 1854, 635, 18, 49, "Assumption",
  CellTags->"4"],
Cell[68598, 1874, 110, 1, 49, "ProofText"],
Cell[68711, 1877, 974, 26, 49, "Conclusion",
  CellTags->"5"],
Cell[69688, 1905, 698, 21, 49, "ProofText"],
Cell[70389, 1928, 622, 18, 49, "Assumption",
  CellTags->"9"],
Cell[71014, 1948, 738, 21, 49, "ProofText"],
Cell[71755, 1971, 1712, 47, 58, "Assumption",
  CellTags->"10"],
Cell[73470, 2020, 926, 30, 49, "ProofText"],
Cell[74399, 2052, 679, 19, 49, "Assumption",
  CellTags->"11"],
Cell[75081, 2073, 942, 30, 49, "ProofText"],
Cell[76026, 2105, 893, 26, 49, "Assumption",
  CellTags->"14"],
Cell[76922, 2133, 633, 21, 49, "ProofText"],
Cell[77558, 2156, 918, 25, 49, "Conclusion",
  CellTags->"21"],
Cell[78479, 2183, 691, 21, 49, "ProofText"],
Cell[79173, 2206, 1519, 42, 49, "Conclusion",
  CellTags->"22"],
Cell[80695, 2250, 406, 12, 49, "ProofText"],

Cell[CellGroupData[{
Cell[81126, 2266, 803, 24, 49, "ProofText"],
Cell[81932, 2292, 657, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[82626, 2318, 1033, 31, 49, "ProofText"],
Cell[83662, 2351, 635, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[84334, 2377, 804, 24, 49, "ProofText"],
Cell[85141, 2403, 657, 21, 49, "ProofText"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[85847, 2430, 95, 1, 40, "ProofText"],
Cell[85945, 2433, 676, 19, 47, "Assumption",
  CellTags->"6"],
Cell[86624, 2454, 110, 1, 47, "ProofText"],
Cell[86737, 2457, 1563, 38, 73, "Conclusion",
  CellTags->"8"],
Cell[88303, 2497, 2105, 66, 73, "ProofText"],
Cell[90411, 2565, 1132, 29, 47, "Assumption",
  CellTags->"23"],
Cell[91546, 2596, 1134, 29, 47, "Assumption",
  CellTags->"24"],
Cell[92683, 2627, 681, 21, 47, "ProofText"],
Cell[93367, 2650, 1952, 49, 119, "Assumption",
  CellTags->"25"],
Cell[95322, 2701, 681, 21, 47, "ProofText"],
Cell[96006, 2724, 1956, 49, 119, "Assumption",
  CellTags->"26"],
Cell[97965, 2775, 939, 30, 47, "ProofText"],
Cell[98907, 2807, 3450, 81, 95, "Conclusion",
  CellTags->"41"],
Cell[102360, 2890, 406, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[102791, 2906, 1422, 37, 47, "ProofText"],
Cell[104216, 2945, 680, 21, 49, "ProofText"],
Cell[104899, 2968, 1227, 31, 49, "Conclusion",
  CellTags->"42"],
Cell[106129, 3001, 406, 12, 49, "ProofText"],

Cell[CellGroupData[{
Cell[106560, 3017, 923, 26, 49, "ProofText"],
Cell[107486, 3045, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[108186, 3071, 924, 26, 49, "ProofText"],
Cell[109113, 3099, 663, 21, 49, "ProofText"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[109825, 3126, 1648, 44, 40, "ProofText"],
Cell[111476, 3172, 703, 21, 49, "ProofText"],
Cell[112182, 3195, 3931, 96, 103, "Conclusion",
  CellTags->"44"],
Cell[116116, 3293, 406, 12, 49, "ProofText"],

Cell[CellGroupData[{
Cell[116547, 3309, 923, 26, 49, "ProofText"],
Cell[117473, 3337, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[118173, 3363, 1214, 34, 49, "ProofText"],
Cell[119390, 3399, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[120090, 3425, 924, 26, 49, "ProofText"],
Cell[121017, 3453, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[121717, 3479, 924, 26, 49, "ProofText"],
Cell[122644, 3507, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[123344, 3533, 1216, 34, 49, "ProofText"],
Cell[124563, 3569, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[125263, 3595, 925, 26, 49, "ProofText"],
Cell[126191, 3623, 663, 21, 49, "ProofText"]
}, Closed]],

Cell[CellGroupData[{
Cell[126891, 3649, 858, 25, 49, "ProofText"],
Cell[127752, 3676, 657, 21, 49, "ProofText"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[128458, 3703, 1423, 37, 40, "ProofText"],
Cell[129884, 3742, 703, 21, 47, "ProofText"],
Cell[130590, 3765, 3945, 96, 219, "Conclusion",
  CellTags->"52"],
Cell[134538, 3863, 406, 12, 47, "ProofText"],

Cell[CellGroupData[{
Cell[134969, 3879, 923, 26, 47, "ProofText"],
Cell[135895, 3907, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[136595, 3933, 1214, 34, 47, "ProofText"],
Cell[137812, 3969, 664, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[138513, 3995, 924, 26, 47, "ProofText"],
Cell[139440, 4023, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[140140, 4049, 924, 26, 47, "ProofText"],
Cell[141067, 4077, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[141767, 4103, 1216, 34, 47, "ProofText"],
Cell[142986, 4139, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143686, 4165, 925, 26, 47, "ProofText"],
Cell[144614, 4193, 663, 21, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145314, 4219, 858, 25, 47, "ProofText"],
Cell[146175, 4246, 657, 21, 47, "ProofText"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[146871, 4272, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[147090, 4280, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[147203, 4285, 36, 0, 105, "Subsection"],
Cell[147242, 4287, 687, 12, 105, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[147966, 4304, 34, 0, 105, "Subsection"],
Cell[148003, 4306, 120, 7, 105, "Text"],
Cell[148126, 4315, 98, 4, 105, "Text"],
Cell[148227, 4321, 99, 4, 105, "Text"],
Cell[148329, 4327, 180, 9, 105, "Text"],
Cell[148512, 4338, 195, 9, 105, "Text"],
Cell[148710, 4349, 231, 9, 105, "Text"],
Cell[148944, 4360, 230, 9, 105, "Text"],
Cell[149177, 4371, 216, 9, 105, "Text"],
Cell[149396, 4382, 216, 9, 105, "Text"],
Cell[149615, 4393, 216, 9, 105, "Text"],
Cell[149834, 4404, 228, 9, 105, "Text"],
Cell[150065, 4415, 227, 9, 105, "Text"],
Cell[150295, 4426, 227, 9, 105, "Text"],
Cell[150525, 4437, 221, 9, 105, "Text"],
Cell[150749, 4448, 228, 9, 105, "Text"],
Cell[150980, 4459, 224, 9, 105, "Text"],
Cell[151207, 4470, 224, 9, 105, "Text"],
Cell[151434, 4481, 217, 9, 105, "Text"],
Cell[151654, 4492, 218, 9, 105, "Text"],
Cell[151875, 4503, 225, 9, 105, "Text"],
Cell[152103, 4514, 222, 9, 105, "Text"],
Cell[152328, 4525, 222, 9, 105, "Text"],
Cell[152553, 4536, 221, 9, 105, "Text"],
Cell[152777, 4547, 221, 9, 105, "Text"],
Cell[153001, 4558, 221, 9, 105, "Text"],
Cell[153225, 4569, 223, 9, 105, "Text"],
Cell[153451, 4580, 218, 9, 105, "Text"],
Cell[153672, 4591, 220, 9, 105, "Text"],
Cell[153895, 4602, 225, 9, 105, "Text"],
Cell[154123, 4613, 190, 9, 105, "Text"],
Cell[154316, 4624, 229, 9, 105, "Text"],
Cell[154548, 4635, 230, 9, 105, "Text"],
Cell[154781, 4646, 228, 9, 105, "Text"],
Cell[155012, 4657, 226, 9, 105, "Text"],
Cell[155241, 4668, 219, 9, 105, "Text"],
Cell[155463, 4679, 222, 9, 105, "Text"],
Cell[155688, 4690, 223, 9, 105, "Text"],
Cell[155914, 4701, 223, 9, 105, "Text"],
Cell[156140, 4712, 234, 9, 105, "Text"],
Cell[156377, 4723, 233, 9, 105, "Text"],
Cell[156613, 4734, 212, 9, 105, "Text"],
Cell[156828, 4745, 208, 9, 105, "Text"],
Cell[157039, 4756, 221, 9, 105, "Text"],
Cell[157263, 4767, 230, 9, 105, "Text"],
Cell[157496, 4778, 218, 9, 105, "Text"],
Cell[157717, 4789, 220, 9, 105, "Text"],
Cell[157940, 4800, 216, 9, 105, "Text"],
Cell[158159, 4811, 222, 9, 105, "Text"],
Cell[158384, 4822, 218, 9, 105, "Text"],
Cell[158605, 4833, 221, 9, 105, "Text"],
Cell[158829, 4844, 225, 9, 105, "Text"],
Cell[159057, 4855, 223, 9, 105, "Text"],
Cell[159283, 4866, 219, 9, 105, "Text"],
Cell[159505, 4877, 231, 9, 105, "Text"],
Cell[159739, 4888, 236, 9, 105, "Text"],
Cell[159978, 4899, 230, 9, 105, "Text"],
Cell[160211, 4910, 226, 9, 105, "Text"],
Cell[160440, 4921, 228, 9, 105, "Text"],
Cell[160671, 4932, 232, 9, 105, "Text"],
Cell[160906, 4943, 226, 9, 105, "Text"],
Cell[161135, 4954, 224, 9, 105, "Text"],
Cell[161362, 4965, 235, 9, 105, "Text"],
Cell[161600, 4976, 230, 9, 105, "Text"],
Cell[161833, 4987, 241, 9, 105, "Text"],
Cell[162077, 4998, 170, 9, 105, "Text"],
Cell[162250, 5009, 227, 9, 105, "Text"],
Cell[162480, 5020, 225, 9, 105, "Text"],
Cell[162708, 5031, 230, 9, 105, "Text"],
Cell[162941, 5042, 224, 9, 105, "Text"],
Cell[163168, 5053, 221, 9, 105, "Text"],
Cell[163392, 5064, 230, 9, 105, "Text"],
Cell[163625, 5075, 235, 9, 105, "Text"],
Cell[163863, 5086, 246, 9, 105, "Text"],
Cell[164112, 5097, 224, 9, 105, "Text"],
Cell[164339, 5108, 228, 9, 105, "Text"],
Cell[164570, 5119, 241, 9, 105, "Text"],
Cell[164814, 5130, 234, 9, 105, "Text"],
Cell[165051, 5141, 229, 9, 105, "Text"],
Cell[165283, 5152, 232, 9, 105, "Text"],
Cell[165518, 5163, 216, 9, 105, "Text"],
Cell[165737, 5174, 225, 9, 105, "Text"],
Cell[165965, 5185, 187, 9, 105, "Text"],
Cell[166155, 5196, 226, 9, 105, "Text"],
Cell[166384, 5207, 233, 9, 105, "Text"],
Cell[166620, 5218, 227, 9, 105, "Text"],
Cell[166850, 5229, 223, 9, 105, "Text"],
Cell[167076, 5240, 192, 9, 105, "Text"],
Cell[167271, 5251, 210, 9, 105, "Text"],
Cell[167484, 5262, 211, 9, 105, "Text"],
Cell[167698, 5273, 184, 9, 105, "Text"],
Cell[167885, 5284, 182, 9, 105, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[168104, 5298, 56, 0, 105, "Subsection"],
Cell[168163, 5300, 678, 20, 105, "Text",
  CellTags->"1"],
Cell[168844, 5322, 1769, 49, 105, "Text",
  CellTags->"10"],
Cell[170616, 5373, 1085, 30, 105, "Text",
  CellTags->"11"],
Cell[171704, 5405, 1843, 48, 105, "Text",
  CellTags->"12"],
Cell[173550, 5455, 1376, 38, 105, "Text",
  CellTags->"13"],
Cell[174929, 5495, 957, 27, 105, "Text",
  CellTags->"14"],
Cell[175889, 5524, 945, 27, 105, "Text",
  CellTags->"15"],
Cell[176837, 5553, 905, 26, 105, "Text",
  CellTags->"16"],
Cell[177745, 5581, 957, 27, 105, "Text",
  CellTags->"17"],
Cell[178705, 5610, 1377, 38, 105, "Text",
  CellTags->"18"],
Cell[180085, 5650, 1990, 51, 105, "Text",
  CellTags->"19"],
Cell[182078, 5703, 1784, 48, 105, "Text",
  CellTags->"2"],
Cell[183865, 5753, 736, 21, 105, "Text",
  CellTags->"20"],
Cell[184604, 5776, 975, 27, 105, "Text",
  CellTags->"21"],
Cell[185582, 5805, 1576, 44, 105, "Text",
  CellTags->"22"],
Cell[187161, 5851, 684, 20, 105, "Text",
  CellTags->"22.1"],
Cell[187848, 5873, 909, 26, 105, "Text",
  CellTags->"22.2"],
Cell[188760, 5901, 685, 20, 105, "Text",
  CellTags->"22.3"],
Cell[189448, 5923, 1175, 31, 105, "Text",
  CellTags->"23"],
Cell[190626, 5956, 1177, 31, 105, "Text",
  CellTags->"24"],
Cell[191806, 5989, 2489, 61, 105, "Text",
  CellTags->"25"],
Cell[194298, 6052, 2494, 61, 105, "Text",
  CellTags->"26"],
Cell[196795, 6115, 1750, 47, 105, "Text",
  CellTags->"27"],
Cell[198548, 6164, 1094, 30, 105, "Text",
  CellTags->"28"],
Cell[199645, 6196, 1611, 41, 105, "Text",
  CellTags->"29"],
Cell[201259, 6239, 1030, 28, 105, "Text",
  CellTags->"3"],
Cell[202292, 6269, 745, 21, 105, "Text",
  CellTags->"30"],
Cell[203040, 6292, 2009, 51, 105, "Text",
  CellTags->"31"],
Cell[205052, 6345, 804, 22, 105, "Text",
  CellTags->"31.1"],
Cell[205859, 6369, 1095, 30, 105, "Text",
  CellTags->"31.2"],
Cell[206957, 6401, 805, 22, 105, "Text",
  CellTags->"31.3"],
Cell[207765, 6425, 1095, 30, 105, "Text",
  CellTags->"32"],
Cell[208863, 6457, 2013, 51, 105, "Text",
  CellTags->"33"],
Cell[210879, 6510, 805, 22, 105, "Text",
  CellTags->"33.1"],
Cell[211687, 6534, 1097, 30, 105, "Text",
  CellTags->"33.2"],
Cell[212787, 6566, 806, 22, 105, "Text",
  CellTags->"33.3"],
Cell[213596, 6590, 746, 21, 105, "Text",
  CellTags->"34"],
Cell[214345, 6613, 2272, 55, 105, "Text",
  CellTags->"35"],
Cell[216620, 6670, 1775, 44, 105, "Text",
  CellTags->"36"],
Cell[218398, 6716, 2026, 51, 105, "Text",
  CellTags->"37"],
Cell[220427, 6769, 2268, 55, 105, "Text",
  CellTags->"38"],
Cell[222698, 6826, 1772, 44, 105, "Text",
  CellTags->"39"],
Cell[224473, 6872, 692, 20, 105, "Text",
  CellTags->"4"],
Cell[225168, 6894, 2030, 51, 105, "Text",
  CellTags->"40"],
Cell[227201, 6947, 3817, 91, 105, "Text",
  CellTags->"41"],
Cell[231021, 7040, 684, 20, 105, "Text",
  CellTags->"41.1"],
Cell[231708, 7062, 1303, 33, 105, "Text",
  CellTags->"41.2"],
Cell[233014, 7097, 1524, 39, 105, "Text",
  CellTags->"41.3"],
Cell[234541, 7138, 1304, 33, 105, "Text",
  CellTags->"41.4"],
Cell[235848, 7173, 1270, 33, 105, "Text",
  CellTags->"42"],
Cell[237121, 7208, 804, 22, 105, "Text",
  CellTags->"42.1"],
Cell[237928, 7232, 805, 22, 105, "Text",
  CellTags->"42.2"],
Cell[238736, 7256, 4454, 99, 105, "Text",
  CellTags->"43"],
Cell[243193, 7357, 4298, 106, 105, "Text",
  CellTags->"44"],
Cell[247494, 7465, 684, 20, 105, "Text",
  CellTags->"44.1"],
Cell[248181, 7487, 804, 22, 105, "Text",
  CellTags->"44.2"],
Cell[248988, 7511, 1095, 30, 105, "Text",
  CellTags->"44.3"],
Cell[250086, 7543, 805, 22, 105, "Text",
  CellTags->"44.4"],
Cell[250894, 7567, 805, 22, 105, "Text",
  CellTags->"44.5"],
Cell[251702, 7591, 1097, 30, 105, "Text",
  CellTags->"44.6"],
Cell[252802, 7623, 806, 22, 105, "Text",
  CellTags->"44.7"],
Cell[253611, 7647, 739, 21, 105, "Text",
  CellTags->"44.8"],
Cell[254353, 7670, 4454, 99, 105, "Text",
  CellTags->"45"],
Cell[258810, 7771, 4568, 107, 105, "Text",
  CellTags->"46"],
Cell[263381, 7880, 1031, 28, 105, "Text",
  CellTags->"5"],
Cell[264415, 7910, 4298, 106, 105, "Text",
  CellTags->"52"],
Cell[268716, 8018, 684, 20, 105, "Text",
  CellTags->"52.1"],
Cell[269403, 8040, 804, 22, 105, "Text",
  CellTags->"52.2"],
Cell[270210, 8064, 1095, 30, 105, "Text",
  CellTags->"52.3"],
Cell[271308, 8096, 805, 22, 105, "Text",
  CellTags->"52.4"],
Cell[272116, 8120, 805, 22, 105, "Text",
  CellTags->"52.5"],
Cell[272924, 8144, 1097, 30, 105, "Text",
  CellTags->"52.6"],
Cell[274024, 8176, 806, 22, 105, "Text",
  CellTags->"52.7"],
Cell[274833, 8200, 739, 21, 105, "Text",
  CellTags->"52.8"],
Cell[275575, 8223, 733, 21, 105, "Text",
  CellTags->"6"],
Cell[276311, 8246, 1620, 40, 105, "Text",
  CellTags->"8"],
Cell[277934, 8288, 679, 20, 105, "Text",
  CellTags->"9"],
Cell[278616, 8310, 2602, 62, 105, "Text",
  CellTags->"Algorithm (sorted)"],
Cell[281221, 8374, 1187, 32, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 1"],
Cell[282411, 8408, 3907, 95, 105, "Text",
  CellTags->"Definition (deletion of the first occurrence): 2"],
Cell[286321, 8505, 1009, 29, 105, "Text",
  CellTags->"Definition (is element): 1"],
Cell[287333, 8536, 2911, 77, 105, "Text",
  CellTags->"Definition (is element): 2"],
Cell[290247, 8615, 1113, 31, 105, "Text",
  CellTags->"Definition (is longer than): 1"],
Cell[291363, 8648, 1511, 41, 105, "Text",
  CellTags->"Definition (is longer than): 2"],
Cell[292877, 8691, 3018, 79, 105, "Text",
  CellTags->"Definition (is longer than): 3"],
Cell[295898, 8772, 572, 14, 105, "Text",
  CellTags->"Definition (is permuted version): 1"],
Cell[296473, 8788, 1531, 42, 105, "Text",
  CellTags->"Definition (is permuted version): 2"],
Cell[298007, 8832, 3505, 88, 105, "Text",
  CellTags->"Definition (is permuted version): 3"],
Cell[301515, 8922, 513, 13, 105, "Text",
  CellTags->"Definition (is sorted): 1"],
Cell[302031, 8937, 987, 27, 105, "Text",
  CellTags->"Definition (is sorted): 2"],
Cell[303021, 8966, 2992, 77, 105, "Text",
  CellTags->"Definition (is sorted): 3"],
Cell[306016, 9045, 2675, 70, 105, "Text",
  CellTags->"Definition (is sorted version)"],
Cell[308694, 9117, 1606, 41, 105, "Text",
  CellTags->"Definition (is trivial tuple)"],
Cell[310303, 9160, 1919, 52, 105, "Text",
  CellTags->"Definition (prepend): \[Cup]"],
Cell[312225, 9214, 1554, 42, 105, "Text",
  CellTags->"Lemma (closure of merge)"],
Cell[313782, 9258, 1514, 41, 105, "Text",
  CellTags->"Lemma (closure of special)"],
Cell[315299, 9301, 2094, 55, 105, "Text",
  CellTags->"Lemma (conjecture15): conjecture15"],
Cell[317396, 9358, 4501, 113, 105, "Text",
  CellTags->"Lemma (conjecture44): conjecture44"],
Cell[321900, 9473, 4329, 108, 105, "Text",
  CellTags->"Lemma (conjecture46): conjecture46"],
Cell[326232, 9583, 1521, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[327756, 9626, 1521, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 1"],
Cell[329280, 9669, 1522, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[330805, 9712, 1522, 41, 105, "Text",
  CellTags->"Lemma (splits are shorter): 2"],
Cell[332330, 9755, 1572, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 1"],
Cell[333905, 9799, 1573, 42, 105, "Text",
  CellTags->"Lemma (splits are tuples): 2"],
Cell[335481, 9843, 1002, 27, 105, "Text",
  CellTags->"Proposition (is tuple tuple)"],
Cell[336486, 9872, 2432, 63, 105, "Text",
  CellTags->"Proposition (only trivial tuple permuted version of itself)"],
Cell[338921, 9937, 1344, 36, 105, "Text",
  CellTags->"Proposition (reflexivity of permuted version)"],
Cell[340268, 9975, 1048, 27, 105, "Text",
  CellTags->"Proposition (singleton tuple is singleton tuple)"],
Cell[341319, 10004, 1385, 35, 105, "Text",
  CellTags->"Proposition (trivial tuples are sorted)"],
Cell[342707, 10041, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"],
Cell[343926, 10076, 1216, 33, 105, "Text",
  CellTags->"Theorem (correctness of sort)"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

