(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     56861,       2299]*)
(*NotebookOutlinePosition[     59357,       2378]*)
(*  CellTagsIndexPosition[     59060,       2365]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (Goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (Goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"combinator", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"M", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"Q", "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Assumption (2)"]
}, Open  ]],

Cell[TextData[{
  "To prove ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (Goal)",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (Goal)"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find  ",
  Cell[BoxData[
      \(y\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " such that"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(y\^"*" = combinator[y\^"*"]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]},
  CellTags->"1"],

Cell["\<\
We will use the following assumptions, referring to them as axioms:\
\>", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"M", "[", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x3",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"Q", "[", 
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "[", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "[", 
              StyleBox["x3",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Axiom 2"],

Cell["We choose ", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell[BoxData[
      \(y\^"*"\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[1, 0.647059, 0]}],

Cell[TextData[{
  "and show that the equality ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " holds ",
  "for this value",
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[CellGroupData[{

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]] = combinator[M[\(Q[M]\)[combinator]]]\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"Theorem "],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "Proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontWeight->"Bold"],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(combinator[M[\(Q[M]\)[combinator]]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "RL",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(\(\(Q[M]\)[combinator]\)[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "if and only if ",
  "\t(by ",
  StyleBox["(", "Label"],
  ButtonBox["Axiom 1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Axiom 1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "  ",
  "LR",
  " )"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  " = ",
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]]\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Blank"],
  Cell["", "Blank"],
  "which, by reflexivity of equality, concludes the proof."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell["\[EmptySquare]", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TextAlignment->Right]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Prove[Proposition["\<Goal\>"], \ 
      using\  -> \ {Assumption["\<1\>"], \ Assumption["\<2\>"]}, \ 
      by\  -> \ EquationalProver]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2004/07/31"
}], "Text"],

Cell[TextData[{
  StyleBox["algutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["enullspace`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["fastZeil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["linsolve`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ExternalSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 1999/08/14 19:07:50 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`OrientedRewriting`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2000/01/21 09:47:43 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/11 15:53:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.56 ",
  ", ",
  "Date: 2003/03/04 08:52:19 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`NormalForms`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2003/03/13 15:37:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/10/25 15:14:24 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2000/11/09 14:09:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2003/03/04 08:50:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2001/03/23 08:48:56 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2002/07/24 09:43:06 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Function`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/03/22 18:10:16 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/06/18 13:01:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.29 ",
  ", ",
  "Date: 2003/06/18 15:37:29 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/05/22 09:33:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2003/06/18 15:30:14 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2003/02/06 15:00:03 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`EquationalProver`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2003/03/13 15:39:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:15:12 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:21:54 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Bliksem`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:23:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:24 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`E`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:24:55 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:36 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`EQP`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:06 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:40 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Gandalf`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:32 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:08:27 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:22:43 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Mace`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:26:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:05 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Otter`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2002/02/04 19:27:41 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:10 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Scott`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:28:16 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Setheo`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:14 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:18 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Spass`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:29:47 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:22 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Vampire`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:09 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2001/05/21 12:23:25 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`External`Waldmeister`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2002/02/04 19:30:31 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`GBProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/08/17 17:04:33 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`GBProver`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2001/03/04 23:48:01 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Common`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/12/14 11:58:37 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/01/10 13:34:08 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`NIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/04/30 15:46:18 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Induction`TIP`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/01/10 13:33:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PauleSchorn`Simplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/08/30 08:45:26 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`BasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2002/06/03 18:29:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/04/10 13:37:44 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2001/01/17 16:57:30 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`NewBasicPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2001/03/23 08:55:32 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`Solver`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:08:38 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PCS`TerminalPND`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2001/05/22 09:36:09 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/12/20 09:55:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2001/11/19 12:11:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/05/01 06:39:40 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2001/03/23 09:02:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`Keywords`: ",
    FontWeight->"Bold"],
  " ",
  ", ",
  " ",
  ", ",
  " "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`QuantifierRewriting`QR`: ",
    FontWeight->"Bold"],
  "Revision: 1.31 ",
  ", ",
  "Date: 2001/11/19 12:16:46 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2001/10/12 12:20:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2001/10/12 12:20:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`SetTheory`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:17:04 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2000/01/20 17:27:46 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`PolynomialSimplifierWithNumbers`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2000/03/07 09:17:29 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.36 ",
  ", ",
  "Date: 2001/01/10 13:28:28 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`RewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SimplifierInitialization`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2001/01/10 13:30:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`SpecialRewriteRules`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermOrderings`: ",
    FontWeight->"Bold"],
  "Revision: 1.21 ",
  ", ",
  "Date: 2000/01/20 17:13:08 ",
  ", ",
  "Last modified by: cdupre "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Simplifier`TermSimplifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/01/10 13:31:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`EquationalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 1999/06/25 07:40:59 ",
  ", ",
  "Last modified by: fkossak "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`External`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2002/02/12 12:15:58 ",
  ", ",
  "Last modified by: tkutsia "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`GroebnerBasesProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 2001/12/14 17:19:00 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`Induction`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2001/12/14 17:23:01 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PCS`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/12/14 17:39:30 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PredicateProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2001/12/14 17:43:32 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`PropositionalProver`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2001/12/14 18:03:41 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["zeilutil`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(y\^"*" = combinator[y\^"*"]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"M", "[", 
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          StyleBox["x",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (1))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (1)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"M", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (1)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"Q", "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "[", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "[", 
          StyleBox["z",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "]"}], "=", 
        RowBox[{
          StyleBox["y",
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "[", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "[", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "]"}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (2)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Assumption (2))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Assumption (2)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["z",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"Q", "[", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "[", 
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "[", 
              StyleBox["z",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              RowBox[{
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["z",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Assumption (2)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{"M", "[", 
              StyleBox["x1",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 1"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Axiom 2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Axiom 2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x1",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x2",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x3",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"Q", "[", 
                  StyleBox["x1",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "[", 
                StyleBox["x2",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "[", 
              StyleBox["x3",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "=", 
            RowBox[{
              StyleBox["x2",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "[", 
              RowBox[{
                StyleBox["x1",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x3",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Axiom 2"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Proposition (Goal))",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Proposition (Goal)"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "=", 
            RowBox[{"combinator", "[", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (Goal)"],

Cell[TextData[{
  Cell["", "Indent"],
  StyleBox[ButtonBox["(Theorem )",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "Theorem "],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None], "Label"],
  Cell["", "Blank"],
  Cell[BoxData[
      \(M[\(Q[M]\)[combinator]] = combinator[M[\(Q[M]\)[combinator]]]\)], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 723}},
ScreenStyleEnvironment->"Presentation",
CellGrouping->Manual,
WindowSize->{1016, 696},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (Goal)"->{
    Cell[1823, 55, 1087, 31, 52, "Conclusion",
      CellTags->"Proposition (Goal)"],
    Cell[55074, 2243, 1144, 33, 70, "Text",
      CellTags->"Proposition (Goal)"]},
  "Assumption (1)"->{
    Cell[3047, 93, 1245, 36, 50, "Assumption",
      CellTags->"Assumption (1)"],
    Cell[45720, 1958, 1002, 30, 70, "Text",
      CellTags->"Assumption (1)"],
    Cell[46725, 1990, 1302, 38, 70, "Text",
      CellTags->"Assumption (1)"]},
  "Assumption (2)"->{
    Cell[4295, 131, 2071, 59, 52, "Assumption",
      CellTags->"Assumption (2)"],
    Cell[48030, 2030, 1503, 45, 70, "Text",
      CellTags->"Assumption (2)"],
    Cell[49536, 2077, 2128, 61, 70, "Text",
      CellTags->"Assumption (2)"]},
  "1"->{
    Cell[6931, 211, 481, 14, 45, "Conclusion",
      CellTags->"1"],
    Cell[45165, 1940, 552, 16, 70, "Text",
      CellTags->"1"]},
  "Axiom 1"->{
    Cell[7587, 232, 1242, 36, 50, "Assumption",
      CellTags->"Axiom 1"],
    Cell[51667, 2140, 1285, 38, 70, "Text",
      CellTags->"Axiom 1"]},
  "Axiom 2"->{
    Cell[8832, 270, 2073, 59, 52, "Assumption",
      CellTags->"Axiom 2"],
    Cell[52955, 2180, 2116, 61, 70, "Text",
      CellTags->"Axiom 2"]},
  "Theorem "->{
    Cell[11835, 364, 569, 15, 45, "Conclusion",
      CellTags->"Theorem "],
    Cell[56221, 2278, 612, 17, 70, "Text",
      CellTags->"Theorem "]},
  "AdditionalInfo"->{
    Cell[15510, 489, 88, 1, 72, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (Goal)", 57599, 2319},
  {"Assumption (1)", 57791, 2324},
  {"Assumption (2)", 58054, 2331},
  {"1", 58305, 2338},
  {"Axiom 1", 58455, 2343},
  {"Axiom 2", 58619, 2348},
  {"Theorem ", 58784, 2353},
  {"AdditionalInfo", 58956, 2358}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1727, 52, 93, 1, 45, "ProofText"],
Cell[1823, 55, 1087, 31, 52, "Conclusion",
  CellTags->"Proposition (Goal)"],

Cell[CellGroupData[{
Cell[2935, 90, 109, 1, 45, "ProofText"],
Cell[3047, 93, 1245, 36, 50, "Assumption",
  CellTags->"Assumption (1)"],
Cell[4295, 131, 2071, 59, 52, "Assumption",
  CellTags->"Assumption (2)"]
}, Open  ]],
Cell[6381, 193, 547, 16, 45, "ProofText"],
Cell[6931, 211, 481, 14, 45, "Conclusion",
  CellTags->"1"],
Cell[7415, 227, 169, 3, 45, "ProofText"],
Cell[7587, 232, 1242, 36, 50, "Assumption",
  CellTags->"Axiom 1"],
Cell[8832, 270, 2073, 59, 52, "Assumption",
  CellTags->"Axiom 2"],
Cell[10908, 331, 90, 1, 45, "ProofText"],
Cell[11001, 334, 387, 10, 45, "ProofText"],
Cell[11391, 346, 419, 14, 45, "ProofText"],

Cell[CellGroupData[{
Cell[11835, 364, 569, 15, 45, "Conclusion",
  CellTags->"Theorem "],
Cell[12407, 381, 180, 6, 45, "ProofText"],
Cell[12590, 389, 472, 12, 45, "ProofText"],
Cell[13065, 403, 457, 17, 45, "ProofText"],
Cell[13525, 422, 483, 12, 45, "ProofText"],
Cell[14011, 436, 457, 17, 45, "ProofText"],
Cell[14471, 455, 460, 12, 45, "ProofText"],
Cell[14934, 469, 207, 5, 45, "ProofText"],
Cell[15144, 476, 132, 2, 45, "ProofText"]
}, Open  ]],
Cell[15291, 481, 182, 3, 35, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15510, 489, 88, 1, 72, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[15623, 494, 36, 0, 70, "Subsection"],
Cell[15662, 496, 168, 3, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15867, 504, 34, 0, 70, "Subsection"],
Cell[15904, 506, 120, 7, 70, "Text"],
Cell[16027, 515, 98, 4, 70, "Text"],
Cell[16128, 521, 99, 4, 70, "Text"],
Cell[16230, 527, 166, 9, 70, "Text"],
Cell[16399, 538, 169, 9, 70, "Text"],
Cell[16571, 549, 167, 9, 70, "Text"],
Cell[16741, 560, 167, 9, 70, "Text"],
Cell[16911, 571, 195, 9, 70, "Text"],
Cell[17109, 582, 231, 9, 70, "Text"],
Cell[17343, 593, 230, 9, 70, "Text"],
Cell[17576, 604, 227, 9, 70, "Text"],
Cell[17806, 615, 226, 9, 70, "Text"],
Cell[18035, 626, 215, 9, 70, "Text"],
Cell[18253, 637, 216, 9, 70, "Text"],
Cell[18472, 648, 216, 9, 70, "Text"],
Cell[18691, 659, 216, 9, 70, "Text"],
Cell[18910, 670, 228, 9, 70, "Text"],
Cell[19141, 681, 225, 9, 70, "Text"],
Cell[19369, 692, 227, 9, 70, "Text"],
Cell[19599, 703, 227, 9, 70, "Text"],
Cell[19829, 714, 227, 9, 70, "Text"],
Cell[20059, 725, 224, 9, 70, "Text"],
Cell[20286, 736, 226, 9, 70, "Text"],
Cell[20515, 747, 221, 9, 70, "Text"],
Cell[20739, 758, 223, 9, 70, "Text"],
Cell[20965, 769, 228, 9, 70, "Text"],
Cell[21196, 780, 224, 9, 70, "Text"],
Cell[21423, 791, 224, 9, 70, "Text"],
Cell[21650, 802, 217, 9, 70, "Text"],
Cell[21870, 813, 218, 9, 70, "Text"],
Cell[22091, 824, 225, 9, 70, "Text"],
Cell[22319, 835, 222, 9, 70, "Text"],
Cell[22544, 846, 222, 9, 70, "Text"],
Cell[22769, 857, 221, 9, 70, "Text"],
Cell[22993, 868, 221, 9, 70, "Text"],
Cell[23217, 879, 219, 9, 70, "Text"],
Cell[23439, 890, 223, 9, 70, "Text"],
Cell[23665, 901, 218, 9, 70, "Text"],
Cell[23886, 912, 220, 9, 70, "Text"],
Cell[24109, 923, 225, 9, 70, "Text"],
Cell[24337, 934, 227, 9, 70, "Text"],
Cell[24567, 945, 230, 9, 70, "Text"],
Cell[24800, 956, 228, 9, 70, "Text"],
Cell[25031, 967, 226, 9, 70, "Text"],
Cell[25260, 978, 219, 9, 70, "Text"],
Cell[25482, 989, 222, 9, 70, "Text"],
Cell[25707, 1000, 223, 9, 70, "Text"],
Cell[25933, 1011, 223, 9, 70, "Text"],
Cell[26159, 1022, 234, 9, 70, "Text"],
Cell[26396, 1033, 233, 9, 70, "Text"],
Cell[26632, 1044, 202, 9, 70, "Text"],
Cell[26837, 1055, 236, 9, 70, "Text"],
Cell[27076, 1066, 201, 9, 70, "Text"],
Cell[27280, 1077, 228, 9, 70, "Text"],
Cell[27511, 1088, 223, 9, 70, "Text"],
Cell[27737, 1099, 236, 9, 70, "Text"],
Cell[27976, 1110, 228, 9, 70, "Text"],
Cell[28207, 1121, 230, 9, 70, "Text"],
Cell[28440, 1132, 222, 9, 70, "Text"],
Cell[28665, 1143, 232, 9, 70, "Text"],
Cell[28900, 1154, 224, 9, 70, "Text"],
Cell[29127, 1165, 236, 9, 70, "Text"],
Cell[29366, 1176, 228, 9, 70, "Text"],
Cell[29597, 1187, 222, 9, 70, "Text"],
Cell[29822, 1198, 233, 9, 70, "Text"],
Cell[30058, 1209, 225, 9, 70, "Text"],
Cell[30286, 1220, 234, 9, 70, "Text"],
Cell[30523, 1231, 226, 9, 70, "Text"],
Cell[30752, 1242, 234, 9, 70, "Text"],
Cell[30989, 1253, 226, 9, 70, "Text"],
Cell[31218, 1264, 235, 9, 70, "Text"],
Cell[31456, 1275, 227, 9, 70, "Text"],
Cell[31686, 1286, 234, 9, 70, "Text"],
Cell[31923, 1297, 226, 9, 70, "Text"],
Cell[32152, 1308, 236, 9, 70, "Text"],
Cell[32391, 1319, 228, 9, 70, "Text"],
Cell[32622, 1330, 240, 9, 70, "Text"],
Cell[32865, 1341, 232, 9, 70, "Text"],
Cell[33100, 1352, 222, 9, 70, "Text"],
Cell[33325, 1363, 229, 9, 70, "Text"],
Cell[33557, 1374, 221, 9, 70, "Text"],
Cell[33781, 1385, 230, 9, 70, "Text"],
Cell[34014, 1396, 218, 9, 70, "Text"],
Cell[34235, 1407, 220, 9, 70, "Text"],
Cell[34458, 1418, 227, 9, 70, "Text"],
Cell[34688, 1429, 216, 9, 70, "Text"],
Cell[34907, 1440, 222, 9, 70, "Text"],
Cell[35132, 1451, 218, 9, 70, "Text"],
Cell[35353, 1462, 221, 9, 70, "Text"],
Cell[35577, 1473, 215, 9, 70, "Text"],
Cell[35795, 1484, 221, 9, 70, "Text"],
Cell[36019, 1495, 225, 9, 70, "Text"],
Cell[36247, 1506, 223, 9, 70, "Text"],
Cell[36473, 1517, 219, 9, 70, "Text"],
Cell[36695, 1528, 231, 9, 70, "Text"],
Cell[36929, 1539, 236, 9, 70, "Text"],
Cell[37168, 1550, 230, 9, 70, "Text"],
Cell[37401, 1561, 226, 9, 70, "Text"],
Cell[37630, 1572, 228, 9, 70, "Text"],
Cell[37861, 1583, 232, 9, 70, "Text"],
Cell[38096, 1594, 226, 9, 70, "Text"],
Cell[38325, 1605, 224, 9, 70, "Text"],
Cell[38552, 1616, 235, 9, 70, "Text"],
Cell[38790, 1627, 241, 9, 70, "Text"],
Cell[39034, 1638, 170, 9, 70, "Text"],
Cell[39207, 1649, 227, 9, 70, "Text"],
Cell[39437, 1660, 225, 9, 70, "Text"],
Cell[39665, 1671, 230, 9, 70, "Text"],
Cell[39898, 1682, 224, 9, 70, "Text"],
Cell[40125, 1693, 221, 9, 70, "Text"],
Cell[40349, 1704, 230, 9, 70, "Text"],
Cell[40582, 1715, 235, 9, 70, "Text"],
Cell[40820, 1726, 246, 9, 70, "Text"],
Cell[41069, 1737, 224, 9, 70, "Text"],
Cell[41296, 1748, 228, 9, 70, "Text"],
Cell[41527, 1759, 241, 9, 70, "Text"],
Cell[41771, 1770, 234, 9, 70, "Text"],
Cell[42008, 1781, 229, 9, 70, "Text"],
Cell[42240, 1792, 232, 9, 70, "Text"],
Cell[42475, 1803, 233, 9, 70, "Text"],
Cell[42711, 1814, 225, 9, 70, "Text"],
Cell[42939, 1825, 235, 9, 70, "Text"],
Cell[43177, 1836, 226, 9, 70, "Text"],
Cell[43406, 1847, 220, 9, 70, "Text"],
Cell[43629, 1858, 232, 9, 70, "Text"],
Cell[43864, 1869, 236, 9, 70, "Text"],
Cell[44103, 1880, 210, 9, 70, "Text"],
Cell[44316, 1891, 211, 9, 70, "Text"],
Cell[44530, 1902, 184, 9, 70, "Text"],
Cell[44717, 1913, 182, 9, 70, "Text"],
Cell[44902, 1924, 167, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[45106, 1938, 56, 0, 70, "Subsection"],
Cell[45165, 1940, 552, 16, 70, "Text",
  CellTags->"1"],
Cell[45720, 1958, 1002, 30, 70, "Text",
  CellTags->"Assumption (1)"],
Cell[46725, 1990, 1302, 38, 70, "Text",
  CellTags->"Assumption (1)"],
Cell[48030, 2030, 1503, 45, 70, "Text",
  CellTags->"Assumption (2)"],
Cell[49536, 2077, 2128, 61, 70, "Text",
  CellTags->"Assumption (2)"],
Cell[51667, 2140, 1285, 38, 70, "Text",
  CellTags->"Axiom 1"],
Cell[52955, 2180, 2116, 61, 70, "Text",
  CellTags->"Axiom 2"],
Cell[55074, 2243, 1144, 33, 70, "Text",
  CellTags->"Proposition (Goal)"],
Cell[56221, 2278, 612, 17, 70, "Text",
  CellTags->"Theorem "]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

